1 NODE

    The NODE is the highest, or root entity in a CMIP
    management structure. It must exist for any other entity
    to exist.

   Nodename

   The DNS fullname this node is known by.

   Addresses

   The list of NSAP (OSI Addresses) this node responds to in
   an OSI network

   Version

   The Version of this OSI implementation

   Implementation

   Normaly contains underlying operating system information
   and further information on the OSI omplementation.

   Maximum Listeners

   The Maximum number of CMIP listeners at one time. 0 means this
   is only limited by local machine resources.

   Node UID

   The unique identifier of this node. It is made up of the
   selected LAN address and the time the node was started.

   Node State

   TBA
   	0 = Dead
   	1 = Booting
        2 = Off
   	3 = On

   Funtions.

   Functions this node supports. It is a BitSet:
    	Bit		Function enabled when bit set
    	0		Address Watcher
    	1		CMIP Listener
    	

   Node ID

   A LAN address open this node. One existing address  is
   selected at configuration time.

   Creation Time

   The time OSI was booted
    
  

1  alias (OpenVMS)

   Creation Time

   The time the Alias entity was created

1  Alias_Port

   Name

   The name given to the alias node this node is associated
   with.

   Node ID

   The LAN address of the alias node (not this node)

   State

   TBA



   Selection Weight

   The number of sequential incoming connects to be passed
   to this member node in the round-robin sequence before
   proceeding to the next member node in the sequence. A
   value of zero means this node is not eligible to receive
   incoming connections to this alias address. Selection
   Weight is used to apportion incoming alias connections
   according to the capacity of each alias member. Nodes
   with greater capacity should have larger values of
   Selection Weight, while local area VMScluster satellities
   should generally have a value of zero. Values between 0
   and 10 are suggested.

           NOTE

   The nsp maximum transport connection value determines the
   number of connections on an alias member. If the Alias
   Port is enabled, changing the nsp maximum transport
   connection value has no effect.

   Creation time

   The time the Alias node was associated with this node.


1  CSMACD

   Version

   The time the CSMACD entity was created.

1  CSMACD_Port

   This dynamic entity is created each time a link is
   created on an assiciated Ethernet device. This
   information is not collected by EMU.


	

1  CSMACD_Station

   There is 1 CSMACD Station created for each Ethernet
   adapter on the node. Each has the following paramaters
   associated:

   Name

   Simple name assigned to the station when it is created.

   UID

   A unique identifier for this entity. Made from the LAN
   address and time it was started.

   Communication Port

   The name of the device driver used to comminucate with
   the Ethernet adapter

   Hardware Address

   The LAN address burned in on the adapter.

   State

   TBA

   Mac Address

   The LAN address used by the adapter. This may be
   different from the Hardware Address.

   Address Filters.

   The list of LAN addresses the adapter will respond to. 

   Receive Mode

   TBA

   Counter Creation Time

   The time the assiciated counters were zeroed.

   Station Buffers

   Default: 4             Value: 1-64

   Number of receive buffers reserved for the station. 

1  DDCMP (OpenVMS)

   TBA

1  DDCMP_LINK
  
   name

   Simple name assigned to the link when it is created.

   dead timer

   Default: 10000         Value: 1-65535

   Specifies the delay, in milliseconds, between polls of
   one of the set of dead tributaries. This attribute is
   supported only if the characteristic protocol is set to
   control.
 
   delay timer

   Default: 0             Value: 0-65535

   Specifies the minimum delay, in milliseconds, between
   polls. You can use this timer to limit the effect of a
   fast control station on slower tributaries. A value of 0
   means that no delay is added. This attribute is supported
   only if the characteristic protocol is set to control.
 
   physical line

   Default: No name       Value: Local entity name

   Name of the Physical layer entity that the link operates
   over. A value for this characteristic must be set before
   the link entity is enabled. You can modify this
   characteristic only when the entity is disabled.
 
   receive buffers

   Default: 4             Value: 1-255

   Specifies the number of receive buffers reserved for the
   link. You can modify this characteristic only when the
   entity is disabled. Also, you can only increase the
   characteristic value.
 
   retransmit timer

   Default: 3000          Value: 1-65535

   Maximum time (in milliseconds) to wait between sending a
   message and receiving a valid response. If this time
   expires, the local station takes error recovery action.
   On full-duplex point-to- point links, the timer is
   started immediately when a message is sent.

   scheduling timer

   Default: 200           Value: 50-65535

   Specifies the time, in milliseconds, between the
   recalculation of tributary polling priorities. This
   attribute is supported only if the characteristic
   protocol is set to control.
 
   stream timer

   Default: 6000          Value: 0-65535

   Specifies the time, in milliseconds, for which a
   tributary or the remote station (on a half-duplex
   point-to-point link) can hold the line. This
   characteristic is not supported if the characteristic
   protocol is set to tributary.

1  DDCMP_Logical_Station
   name

   Simple name assigned to the link logical station when it
   is created.

   active base

   Default: 255           Value: 0-255

   Specifies the base priority to which an active tributary
   is reset after it has been polled.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control.
 
   active increment

   Default: 0             Value: 0-255

   Specifies the value to be added to the active tributary
   priority each time the scheduling timer expires.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control.
 
   address

   Default: 1             Value: 1-255

   Data link address of the remote station or tributary. You
   can modify this characteristic only when the entity is
   disabled.
 
   babble timer

   Default: 6000          Value: 1-65535

   Specifies the time, in milliseconds, for which a selected
   tributary or remote station is allowed to transmit. This
   characteristic is not used on full-duplex links.

   This characteristic is not supported if the
   characteristic protocol of the owning ddcmp link entity
   is set to tributary.

   buffer source

   Default: Implementation-specific    
   Value: See description
   
   Specifies the source of the receive buffers.

   client         Buffers are provided by the client entity.
   supplied
   
   common pool    Buffers are assigned from the common
                  buffer pool.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control. You can modify this characteristic
   only when the entity is disabled.
 
   dead threshold

   Default: 8             Value: 0-255

   Specifies the number of times that an active, inactive,
   or dying tributary is polled before its status attribute
   polling substate is changed to dead because of receive
   timeouts.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control.
 
   dying base

   Default: 0             Value: 0-255

   Specifies the base priority to which a dying tributary is
   reset after being polled.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control.

   dying increment

   Default: 16            Value: 0-255

   Specifies the value to be added to a dying tributary's
   priority each time the scheduling timer expires.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control.
 
   dying threshold

   Default: 2             Value: 0-255

   Specifies the number of times an active or inactive
   tributary is polled before its status attribute polling
   substate is changed to dying because of receive timeouts.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control.

   holdback timer

   Default: 0             Value: 0-13000

   Maximum time, in milliseconds, that the local station can
   delay acknowledging a received message if there is no
   data to send.

   The value of this characteristic is linked to the
   retransmit timer used on the remote station. A suggested
   value is between 10% and 20% of that timer. However, the
   actual values you can use may be limited by the
   communications product.

   The default value indicates that no holdback is used and
   the local station must acknowledge immediately.
 
   inactive base

   Default: 0             Value: 0-255

   Specifies the priority to which an inactive tributary is
   reset after it has been polled.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control.
 
   inactive increment

   Default: 64            Value: 0-255

   Specifies the value to be added to an inactive
   tributary's priority each time the scheduling timer
   expires.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control.
 
   inactive threshold

   Default: 8             Value: 0-255

   Specifies the number of times an active tributary is
   polled before its status attribute polling substate is
   changed to inactive because of no data response.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control.
 
   maximum buffers

   Default: 4             Value: Implementation specific

   Specifies the maximum number of buffers that a tributary
   can use from the common buffer pool. A value of 0 means
   that there is no limit to the number of buffers that can
   be used. This characteristic is supported only if the
   buffer source characteristic is set to common pool.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control. You can modify this characteristic
   only when the entity is disabled. Also, you can only
   increase the characteristic value.
 
   maximum transmit

   Default: 4             Value: 1-255

   Specifies the maximum number of messages that a tributary
   or a remote half-duplex station can send at one time. The
   value of this characteristic must be greater than or
   equal to that of transmit window on the selected station.

   This characteristic is not supported if either of the
   following conditions is true:

   o  The characteristic protocol of the owning ddcmp link
   entity is set to tributary.

   o  The communications link is full-duplex and
   point-to-point.

   You cannot modify this characteristic.
 
   polling state

   Default: Automatic     Value: See description.

   Specifies the effect of the local station's polling
   algorithm on the state of a tributary. The value of this
   characteristic is reflected in the value of the status
   attribute polling substate.

   active     The state is locked to active.

   automatic  The state varies according to the 
   	      operation of the polling algorithm.

   dead       The state is locked to dead.

   dying      The state is locked to dying.

   inactive   The state is locked to inactive.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control.
 
   transmit timer

   Default: 0             Value: 0-65535

   Specifies the time, in milliseconds, that the local
   station waits between data transmissions.

   This characteristic is supported only if the
   characteristic protocol of the owning ddcmp link entity
   is set to control.
 
   transmit window

   Default: 1             Value: 1-255

   Specifies the maximum number of data messages that the
   local station can send without receiving an
   acknowledgment. This characteristic applies only when the
   remote station is a control station or on a half-duplex,
   point-to-point link. The value of this characteristic
   must be less than or equal to the equivalent of the
   maximum transmit characteristic on the control station or
   remote station.


1  Device

   TBA

1  Device_Unit
 
   name

   Simple name assigned to the device unit when it is
   created.

   auto load

   Default: True          Value: True or false

   Specifies whether the device should try to load its
   microcode without management intervention. Autoloading
   would occur after initialization, a failure, or a dump.
 
   dump destination 

   File specification to hold the contents of the device's
   microcode when a dump occurs. 

   dump on error

   Default: False         Value: True or false

   Whether a device should try to dump its microcode after a
   device failure. Set this characteristic only for those
   devices that support the dump operation.
 
   load source

                          Value: File specification

   File specification that contains the device's microcode.
   This is used during a load operation. 

1  Digital_Name_Service

   TBA

1  DNS_Server

   TBA

1  DNS_Server_ClearingHouse

   TBA

1  DNS_Clerk

   TBA
1  DNS_Clerk_Known_NS

   TBA
1  DNS_Clerk_Remote_CH

   TBA
1  DNS_Clerk_Manual_NS

   TBA

1  Digital_Time_Service

   advertisement interval

   Default: 0-01:30:00.000    
   Value: 0-00:00:30.000-99-99:99:99.999

   Specifies the amount of time between a server's
   advertisement broadcasts.

   check interval

   Default: 0-01:30:00.00     
   Value: 0-00:00:30.000-99-99:99:99.999

   Specifies the amount of time between checks for faulty
   servers. Applicable only to servers that have external
   time-providers.

   courier role

   Default: noncourier        
   Value: See following description.

   Specifies a server's interaction with the set
   of global servers.

   backup courier   The local server becomes a
   		    courier if none are available on the LAN.

   courier          The local server synchronizes with the global set
                    of servers.

   noncourier       The local server does not routinely synchronize
                    with the global set of servers.

   error tolerance

   Default: 0-00:10:00.000    
   Value: 0-00:00:00.500-99-99:99:99.999

   Specifies the maximum separation allowed between the
   local clock and the computed time before synchronizations
   become abrupt  rather than gradual (monotonic).

   global directory

   Specifies the full name of the DECdns directory that
   contains the list of DECdts servers that belong to the
   global set.

   lan timeout

   Default: 0-00:00:02.000    
   Value: 0-00:00:01.000-0-00:05:00.000

   Specifies the amount of time the node waits for a
   response to a synchronization request before sending
   another request or declaring a server to be unavailable.
   The node sends three requests before declaring a
   non-responding server to be unavailable.

   maximum inaccuracy

   Default: 0-00:01:40.00     
   Value: 0-00:00:00.0 - 99 99:99:99.99

   Specifies the inaccuracy limit for the node. When the
   node exceeds the maximum inaccuracy setting, it attempts
   to synchronize.

   query attempts

   Default: 3                 Value: 1-10

   Specifies the number of attempts that a node makes to
   contact a server before the node considers the server
   unavailable.
 
   servers required

   Default: 3 (servers)       Value: 1-32
            1 (clerks)

   Specifies the minimum number of servers the specified
   node must successfully query for time values before it
   can synchronize.

   synchronization hold down

   Default: 0-00:10:00.0(Clerks)  
   Value: 0-00:00:30.0- 01 00:00:00.000-00:02.00.0-(Servers)

   Specifies the interval a node must wait to synchronize.
   Also specifies synchronization frequency when a node
   reaches the value specified by the maximum inaccuracy
   characteristic.

   wan timeout

   Default: 0-00:00:15.000    
   Value: 0-00:00:01.000-0-00:10:00.000

   Specifies the amount of time the node waits for a
   response to a WAN synchronization request before sending
   another request and declaring a global server to be
   unavailable. The node sends three requests before
   declaring a non-responding global server to be
   unavailable.

1  DTSS_Global_Server
   TBA
1  DTSS_Local_Server    
   TBA

1  Event_Dispatcher

   Version

   The version of the Event dispatcher

   UID

   The Unique Identifier of the Event dispatcher entity.

   State

   TBA

   Creation Time

   The time the event dispatcher was created

1  Event_Dispatcher_Out_Stream
   name

   Simple name assigned to the outbound stream when it was
   created.

   catch all filter

   Default: Pass          Value: Block or pass

   Action to take if neither the specific filter nor the
   global filter contains an entry that matches an event.

   block      Discard the event.
   pass       Report the event.
 
   connect retry timer

   Default: 120           Value: 0-65535

   Number of seconds to wait after a disconnect or
   connection reject before reattempting a connection.
   Connection attempts continue until a connection is made
   or until the connect timer enabled attribute is set to
   false or the outbound stream is disabled. If the outbound
   stream is already connected to the sink when the timer
   expires, no connection is attempted at that time. The
   timer resets and connection attempts continue whenever
   the timer expires.

   connect timer enabled

   Default: True          Value: True or false

   Specifies whether the connect timer is operational (see connect
   retry timer).

   disconnect timer

   Default: 0; see        Value: 0-4294967295
   following description

   Number of seconds to wait before disconnecting an idle
   connection. Zero indicates that there is no disconnect
   timer and connections are never automatically
   disconnected.

   sink address

   Default: No address    
   Value: Sink address tower set

   Sink address tower for this stream. Modifying this
   characteristic affects only subsequent connect requests;
   existing connections are unaffected.

   sink end user

   Default: Number = 82   
   Value: End-user specification

   Sink session control end user specification for
   this stream.
 
   sink node

   Default: Local node    Value: Full-name

   Full DNS node name of the sink for this stream. Modifying
   this characteristic affects only subsequent connect
   requests; existing connections are unaffected. This
   fullname is used in combination with the sink end user
   characteristic to establish the sink connection.

   sink object

   Default: No sink object       Value: Full-name
   
   Full DNS object name of the sink for this stream.
   Modifying this characteristic affects only subsequent
   connect requests; existing connections are unaffected.
   This fullname should match the object name characteristic
   of the target sink.
 
1  Event_Dispatch_Relay 
   TBA
      
1  Event_Dispatch_Relay_Log
   TBA

1  Event_Dispatcher_Sink

   Sets the filters to ignore the specified events for the
   entity instance or class. The ignore directive causes the
   named events to be ignored.

   name

   Simple name assigned to the sink when it is
   created.

   catch all filter

   Default: Pass          Value: Block or pass

   Specifies the action to take if neither the specific
   filter setting nor the global filter setting matches an
   event or if a filter setting that does match an event is
   set to Ignore.

   block    Discard the event.
   pass     Report the event.
 
   client type

   Default: Console       Value: See description.

   Specifies the application to accept the events received
   by the sink. This can only be set when the event
   dispatcher sink entity is disabled (when the sink state
   is off).

   console     Events go to the operator's console

   device      Events go to a device (see the device name
               characteristic).

   file        Events go to a file (see the file name
               characteristic).
 
   description

   Default: Null          Value: Latin1String

   Application description string.
 
   device name

   Default: Null          Value: Latin1String

   Name of the device to which events are going to be
   logged, if the client type of the sink is device.
 
   displayuids

   Default: True          Value: Boolean

   A boolean value indicating whether to include the UIDs
   when displaying an event.

   file name

   Default for OpenVMS:         Value: File specification
   SYS$MANAGER:NET$EVD_
   SINK_sinkname.LOG

   Name of the file to which events are going to be logged
   if the client type of the sink is file.

   object name

   Default: No sink object       Value: Full-name
   
   Full DNS object name of the sink. Modifying this
   characteristic affects only subsequent connect requests;
   existing connections are unaffected.
 

   user client

   Default: Null          Value: End-user specification

   Session control end user specification for a user program
   that has been set to receive events. 

1  Frame

   TBA 

1  Frame_Link
   name

   Simple name assigned to the link when it is created.

   bisync code

   Default: EBCDIC        Value: ASCII or EBCDIC

   Character code to be used on the link. This
   characteristic is supported only when the characteristic
   protocol is set to one of the following: bisync, chips,
   genbyte, or swift. You can modify this characteristic
   only when the entity is disabled.
 
   bits per character

   Default: 8             Value: 5-8

   Number of bits in each character. This characteristic is
   supported only when the characteristic protocol is set to
   genbyte. You can modify this characteristic only when the
   entity is disabled.
 
   buffer size

   Default: 512           Value: 0-65535

   Size, in octets, of each receive buffer for the link. You
   can modify this characteristic only when the entity is
   disabled. Also, you can only increase the characteristic
   value.

   crc type

   Default: See description           Value: See description
   
   CRC type used on the link.

   AUTO_DIN
   CRC_16
   CRC_CCITT
   CRC_CCITT0
   LRC_EVEN
   LRC_ODD
   LRC_VRC_
   EVEN
   LRC_VRC_
   ODD
   NONE

   The default value depends on the protocol.

   BISYNC   CRC_16
   CHIPS    LRC_EVEN
   DDCMP    CRC_16
   GENBYTE  NONE
   HDLC     CRC_CCITT
   SDLC     CRC_CCITT
   SWIFT    CRC_16

   genbyte crc checking is done in the genbyte
   framing routine.
 

   framing timer

   Default: 25            Value: 10-1000

   Maximum length of time, in milliseconds, to wait for the
   next character to arrive. This characteristic is
   supported only when the characteristic protocol is set to
   genbyte.
 
   initial state one

   Default: 0             Value: See description

   First 32 bits of state information. This characteristic
   is supported only when the characteristic protocol is set
   to genbyte. You can modify this characteristic only when
   the entity is disabled.
 
   initial state two

   Default: 0             Value: See description

   Last 32 bits of state information. This characteristic is
   supported only when the characteristic protocol is set to
   genbyte. You can modify this characteristic only when the
   entity is disabled.
 
   local station address

   Default: 255           Value: 0-255

   Address of the local station. The default value means
   that only broadcast messages are accepted. The
   interpretation of this characteristic is controlled by
   the value of the characteristic match station address.

   This attribute is supported only if the characteristic
   protocol is set to sdlc. You can modify this
   characteristic only when the entity is disabled.

   match station address

   Default: False         Value: True or False

   Specifies whether the value of the characteristic local
   station address is to be interpreted as a valid address.
   This attribute is supported only if the characteristic
   protocol is set to sdlc. You can modify this
   characteristic only when the entity is disabled.
 
   number of buffers

   Default: 4             Value: 0-255

   Number of receive buffers reserved for the link. You can
   modify this characteristic only when the entity is
   disabled. Also, you can only increase the characteristic
   value.
 
   sync character

   Default: See description           Value: 0-FF
   
   Hexadecimal code of the sync character to be used on the
   link. The default value depends on the value of the
   characteristic protocol, as follows:

   bisync   32
   chips    32
   ddcmp    96
   genbyte  32
   swift    32

   This attribute is supported only if the characteristic
   protocol is set to bisync, chips, ddcmp, genbyte, or
   swift. You can modify this characteristic only when the
   entity is disabled.
 
   sync count

   Default: 4             Value: 0-255

   Number of sync characters that precede each message. This
   attribute is supported only if the characteristic
   protocol is set to bisync, chips, ddcmp, genbyte, or
   swift. You can modify this characteristic only when the
   entity is disabled.


1  HDLC

   TBA

1  HDLC_Link

   name

   Simple name assigned to the HDLC link when it is created.

   acknowledge timer

   Default: 3000          Value: 1-60000

   Time, in milliseconds, to wait for an acknowledgment
   before using error recovery procedures. The value of this
   characteristic corresponds to the T1 parameter of HDLC.
   You can modify this characteristic only when the entity
   is disabled.
 
   holdback timer

   Default: 0             Value: 1-60000

   Maximum time to wait before sending an acknowledgment
   supervisory frame if no other frames carry the
   acknowledgment. A value of zero means that the frame will
   be sent immediately if no I-frame can be sent. You can
   modify this characteristic only when the entity is
   disabled.

   maximum data size

   Default: 1500          Value: 262-65532

   Maximum number of bytes that users of the data link can
   specify. This number applies to both transmit and receive
   frames.

   The value of this characteristic must be greater than or
   equal to the value of the minimum data size
   characteristic. You can modify this characteristic only
   when the entity is disabled.
 
   maximum unsequenced pdus

   Default: 1             Value: 1-127

   Maximum number of unsequenced I-frames that a primary or
   secondary station can send in a single transmission. This
   characteristic is not used if the link type
   characteristic is balanced.
 
   minimum data size

   Default: 576           Value: 262-65532

   Minimum number of bytes that users of the data link can
   specify. This number applies to both transmit and receive
   frames.

   The value of this characteristic must be less than or
   equal to the value of the maximum data size
   characteristic. You can modify this characteristic only
   when the entity is disabled.

   physical line

   Default: None          Value: Local entity name

   Local entity name of the the Physical layer entity over
   which the HDLC protocol is to operate.

   This characteristic must have a value before the HDLC
   link is enabled. You can modify this characteristic only
   when the entity is disabled.
 
   preferred crc type

   Default: Either        Value: 16 bit, 32 bit, or either

   CRC types available for negotiation. If the value of this
   characteristic is either, the station will try to use
   32-bit but will use 16-bit if that is all that the remote
   station supports.

   preferred local station address

   Default: 2             Value: 1-253

   Address proposed for the local logical station during
   negotiation. If there is no negotiation, the value of
   this characteristic is the value that is used. If
   negotiation is necessary, the value of this
   characteristic must be between 2 and 253. You can modify
   this characteristic only when the entity is disabled.
 
   preferred maximum data size

   Default: 1500          Value: 262-65532

   Default size (in octets) of frames that the station
   receives and transmits. This value is used only if the
   link initialization does not specify a buffer value.

   The value of this characteristic must lie between those
   of the maximum data size and minimum data size
   characteristics. You can modify this characteristic to a
   lower value only when the entity is disabled.
 
   preferred window size

   Default: 2             Value: 1-127

   Window size to be offered during negotiation for both
   receive and transmit frames. The value of this
   characteristic must be compatible with that for the
   sequence modulus characteristic.

   receive buffers (OpenVMS)

   Default: 4             Value: 1-128

   Number of receive buffers reserved for the link. This
   characteristic can only be set to a lower value when the
   entity is disabled. 
 
   retry maximum

   Default: 10            Value: 1-255

   Maximum number of times that a frame will be
   retransmitted before the local station assumes that a
   fatal error has occurred. This characteristic can be
   modified only when the entity is disabled.
 
   sequence modulus

   Default: 128           Value: 8 or 128

   Whether modulo-8 or modulo-128 sequence numbering is
   allowed on the HDLC link. The value 8 means that only
   normal sequence numbering is allowed. The value 128 means
   that both extended and normal sequence numbering are
   supported for negotiation.

1  HDLC_Link_Logical_Station
   TBA    
1  HDLC_Port    
   TBA
1  LAPB
   TBA

1  LAPB_Link

   name

   Simple name assigned to the link when it is created.

   acknowledge timer

   Default: Supplied by profile   Value: 1-60000
   
   Time, in milliseconds, to wait for an acknowledgment
   before initiating recovery action. This attribute
   corresponds to the LAPB parameter T1. You can modify this
   characteristic only when the entity is disabled.
 
   holdback timer

   Default: Implementation specific  Value: 0-60000
   
   Delay, in milliseconds, before an acknowledgment must be
   sent. This characteristic corresponds to the LAPB
   parameter T2. You can modify this characteristic only
   when the entity is disabled.
 
   interface type

   Default: dte           Value: dce or dte

   Address mode for this link.

   dce   Use DCE address mode.
   dte   Use DTE address mode.

   You can modify this characteristic only when the entity
   is disabled.
 
   maximum data size

   Default: Supplied by profile   Value: 1-65532
   
   Maximum frame size, in octets, of an information field in
   an I-frame.
 
   physical line

   Default: No default    Value: Local entity name

   Name of the Physical layer and line entity over which the
   LAPB protocol is to operate. You must give this
   characteristic a value before you enable the link.
 
   poll timer

   Default: Implementation specific   Value: Supplied by profile
   
   Maximum period in seconds that may elapse without frames
   being exchanged on the Data Link. On expiration, an RR(P)
   is sent to elicit a response from the other end.
 
   receive buffers (OpenVMS)

   Default: Implementation specific     Value: 1-128
   
   Specifies the number of receive data buffers.
 
   retry maximum

   Default: Supplied by profile         Value: 1-255
   
   Maximum number of times that a frame will be
   retransmitted before assuming a fatal error, at which
   point more drastic error recovery action will be
   attempted. This characteristic corresponds to the LAPB
   parameter N2.
 
   sequence modulus

   Default: Supplied by profile        Value: 8 or 128
   
   Type of sequence numbering.

   8     Use normal sequence numbering.
   128   Use extended sequence numbering.
 
   window size

   Default: Supplied by profile         Value: 1-127
   
   Window size for transmitting and receiving I-frames. This
   characteristic corresponds to the LAPB parameter K.

1  LAPB_Port   
   TBA

1  LLC2

   TBA
1  LLC2_Port

   TBA

1  LLC2_SAP

   lan station

   Default: No entity name     Value: Local entity name
   
   Specifies the name of the LAN station entity used by the
   SAP. You must specify a value for this attribute before
   you enable the SAP.


   local lsap address

   Default: 7E            Value: Hex-number

   Specifies the address of the local link service access
   point (LSAP) to be used. The lowest significant bit of
   this value must be clear; the address specified must be
   an individual address.
 

1  LLC2_SAP_Link

   acknowledge timer

   Default: 1000          Value: 1-60000

   Specifies the time, in milliseconds, the link waits for
   an acknowledgment before initiating recovery action.

   The granularity of this timer is 10 milliseconds. Values
   that are not multiples of 10 are rounded up.


   busy timer

   Default: 10000         Value: 1-60000

   Specifies the time, in milliseconds, the link waits for
   indication of the clearance of a busy condition at the
   remote station.

   The granularity of this timer is 10 milliseconds. Values
   that are not multiples of 10 are rounded up.

   holdback timer

   Default: 500           Value: 0-60000

   Specifies the delay, in milliseconds, before an
   acknowledgment must be sent. The granularity of this
   timer is 10 milliseconds. Values that are not multiples
   of 10 are rounded down.

   local receive window size

   Default: 127           Value: 1-127

   Specifies the window size used by the link for receiving
   frames.
 
   maximum data size

   Default: 1027          Value: 1-65531

   Specifies the largest frame size, in octets, the link can
   use to send or receive data. This value does not include
   the size of the frame header.

   poll timer

   Default: 1000          Value: 1-60000

   Specifies the time, in milliseconds, the link waits for a
   response with the F bit set.

   The granularity of this timer is 10 milliseconds. Values
   that are not multiples of 10 are rounded up.

   reject timer

   Default: 3000          Value: 1-60000

   Specifies the time, in milliseconds, the link waits for a
   reply to a REJ (reject) frame.

   The granularity of this timer is 10 milliseconds. Values
   that are not multiples of 10 are rounded up.

   remote lsap address

   Default: 7E            Value: Hex-number

   Specifies the address of the destination LSAP (local
   service access point) to be used by the link. The lowest
   significant bit must be clear; the specified address must
   be an individual address.
 
   remote mac address

   Default: 00-00-00-00-00-00      Value: LAN-address

   Specifies the destination MAC address to be used by the
   link.

   retry maximum

   Default: 10            Value: 1-255

   Specifies the maximum number of times the link
   retransmits a frame before assuming a fatal error and
   taking more drastic recovery action.
 

1  LOOPBACK

   maximum mirrors

   Default: 0             Value: 0-4294967295

   The maximum number of loop mirrors supported. If you
   enter the value 0, the node supports an unlimited number
   of mirrors.

1  Modem

   TBA

1  Modem_Connect

   TBA

1  Mode_Line
   alternate speed

   Default: 0

   Alternate (low) speed (in bits per second) to operate the
   line. You can modify this characteristic only when the
   entity is disabled. This characteristic is supported only
   when the characteristic communications mode is
   asynchronous, the characteristic modem control is full,
   the characteristic modem options includes rateselect, the
   characteristic clock is internal, and when the alternate
   line speed is needed.

   call accept timer

   Default: 500

   Minimum time, in milliseconds, between the assertion of
   data set ready and accepting a call by asserting request
   to send. This characteristic is not supported if the
   characteristic modem control is none.

   carrier loss timer

   Default: 15000

   Maximum time, in milliseconds, that the carrier detect
   signal can be absent before the loss of carrier event is
   generated. This characteristic is not supported if the
   characteristic modem control is none.

   clock

   Default: See following     Value: See following description.
   description.

   Source of the transmit and receive clocks.

   external  The modem provides the clock.

   internal  The communications device provides
   	     the clock.

   reflected        The DTE transmit clock is a
                    reflection of the DCE transmit clock. 
                    This minimizes the clock to data skew 
                    that the DCE encounters when high line 
                    speeds are used.

   The default value depends on the setting of the
   characteristic communications mode. If communications
   mode is asynchronous, the default value of this
   characteristic is internal. Otherwise, the default value
   is external.

   The value of this attribute has no effect when the
   communications line is in loopback mode. In this case,
   the type of loopback determines the type of clock. You
   can modify this characteristic only when the entity is
   disabled.

   encoding

   Default: normal            Value: normal or nrzi

   Encoding technique used on the line. You can modify this
   characteristic only when the entity is disabled.

   initial hold timer

   Default: 10                Value: 0-300

   Maximum time, in seconds, within which the control
   service client must accept an incoming call. This
   characteristic is supported only when the characteristic
   connection type is switched.

   maximum call setup timer

   Default: 60                Value: 1-300

   Maximum time, in seconds, that can pass before an
   outgoing call is connected. This characteristic is
   supported only when the characteristic connection type is
   switched.

   maximum disable transmit timer

   Default: 500

   Maximum time, in milliseconds, that clear to send can
   remain asserted before the line is disconnected after
   Request to Send is deasserted. This characteristic is not
   supported if the characteristic modem control is none.

   maximum dsr deassertion timer

   Default: 5000

   Maximum time, in milliseconds, the entity will wait for
   data set ready to be deasserted after it has deasserted
   data terminal ready. If this timer expires, the entity
   assumes it can assert data terminal ready once again.
   This characteristic is not supported if the
   characteristic modem control is none.

   maximum enable transmit timer

   Default: 2000              Value: 1-5000

   Maximum time, in milliseconds, between the assertion of
   the request to send signal and receiving the assertion of
   the clear to send signal. This characteristic is not
   supported if the characteristic modem control is none.

   minimum dtr deassertion timer

   Default: 1000

   Minimum timer, in milliseconds, that the DTE will
   deassert data terminal ready during a disconnection. This
   characteristic is not supported if the characteristic
   modem control is none.

   modem control

   Default: full              Value: full or none

   Indicates whether the interchange circuits are to be
   monitored and used. The value none means that only the
   data leads are monitored.

   The value full must be used when the value of the
   characteristic duplex is half. You can modify this this
   characteristic only when the entity is disabled. This
   characteristic is supported only if the characteristic
   connection type is non-switched.

   modem options

   Default: No options        Value: Set of options

   Set of values that determine the capabilities of the
   modem. The value dialout is supported only if the value
   of communications type is switched. You can modify this
   characteristic only when the entity is disabled.

   dialout          The modem can dial the remote modem.

   direct           The modem is directly
                    connected to the remote modem 
                    through a non-switched line.

   rate select      The modem is capable of data
                    rate selection.

   The value direct must be accompanied with dialout and
   used only when the modem protocol type supports direct
   dial.

   Format the values to specify one or any
   combination of modem options.

   modem protocol format

   Default: See following     Value: See following description.
   description.

   Format to use for V.25bis protocol messages. You can
   modify this characteristic only when the entity is
   disabled. This characteristic is supported only when the
   characteristic connection type is non-switched. This
   characteristic applies only when the characteristic modem
   protocol type is v25bis or dmcl.

   asynchronous     Use the asynchronous format.

   hdlc             Use the HDLC format.

   synchronous      Use the synchronous format.

   The default value depends on the value of the
   characteristic communications mode. If communications
   mode is asynchronous, the default value of this
   characteristic is also asynchronous. If the value of
   communications mode is synchronous, the default value of
   this characteristic is hdlc.

   modem protocol type

   Default: V25bis            Value: See following description.

   Protocol that the modem uses to select modem options and
   to set line control parameters. You can modify this
   characteristic only when the entity is disabled. This
   characteristic is supported only when the characteristic
   connection type is non-switched.

   at  A set of automatic calling procedures used in the
       Hayes Smartmodem 2400.

   dmcl     The Digital Modem Control Language, based on
            V.25bis.
          
   v25      A set of automatic calling and answering
            procedures defined by CCITT. These procedures
            use the 200-series circuits defined in the
            CCITT recommendation V.24. The V.235 procedures
            are also known as parallel automatic calling
            procedures.
          
   v25bis   A set of automatic calling and answering
            procedures defined by CCITT. These procedures
            use the 100-series circuits defined in the CCITT
            recommendation V.24. The V.25bis procedures
            are also known as serial automatic calling
            procedures.
          
   profile

   Name of the local profile to be used with the line. The
   value of this characteristic is a copy of the profile
   argument specified when the entity is created. You cannot
   modify this characteristic.

   rate select

   Default: High              Value: High or Low

   Which of the line rates is to be used if none is
   specified when a call is setup. high indicates that the
   value of the speed characteristic be used, and low
   indicates that the value of the alternate speed
   characteristic be used. This characteristic is supported
   only if the characteristic modem control is full, and if
   the characteristic modem options includes rateselect.

   speed

   Default: 0

   High speed (in bits per second) to be used on the line.
   This value is always used on asynchronous links. It is
   used on synchronous links only in the following
   circumstances:

   o  When the value of the clock characteristic
   is internal

   o  When a null modem cable is detected

   o  When using a loopback mode that uses
   internal clocking

   You can modify this characteristic only when
   the entity is disabled.

   successful call indication timer

   Default: 30

   Maximum time, in seconds, that the entity will wait for
   indication of a successful call before disconnecting the
   line. This characteristic is supported only when the
   characteristic modem control is none.

   suppress test indicator

   Default: False             Value: True or false

   Indicates whether the Test Mode signal is to be
   monitored. Use the value false if the DCE deals with the
   Test Mode signal.

   Setting this characteristic to true means that the
   interchange circuit status attribute test mode will also
   be displayed as Unknown.

   transmit holdoff timer

   Default: 0

   Necessary delay, in milliseconds, between the transmitter
   being disabled and being enabled again. The value 0 means
   that the request to send signal can be asserted as soon
   as the client requests it. This characteristic is not
   supported if the characteristic modem control is none.


1  MOP

   TBA

1  MOP_Circuit

   circuit circuit-id

   A client entity to be used for this operation. This
   parameter must be specified, either directly or via the
   client entity. For boot, specifies the name of the
   circuit over which the boot operation is to occur. For
   load, specifies the name of the MOP circuit over which
   the downline load is to take place. This information is
   required.

   known clients only

   Default: False         Value: True or false

   Specifies whether MOP attempts to service load requests
   from remote systems which do not have a corresponding
   client entity. Some network servers are designed to
   request specific software by name, and in such a case
   there is no need for a client entity to exist. By
   default, MOP tries to process requests for named software
   from unknown clients. Set this attribute to true if you
   wish MOP to ignore such requests. 
 
   link name

   Default: No name       Value: Data link entity name

   Name of a station entity in the Data Link layer module
   indicated by the type characteristic. This name is passed
   to the Data Link layer module when MOP opens a portal for
   the circuit.
 
   retransmit timer

   Default: 4             Value: 1-30

   Time, in seconds, to wait for a response before
   retransmitting a MOP protocol message.

   type

   Specifies the circuit type. This characteristic is set
   when the  circuit is created (see the create command).
   The possible types are CSMA-CD, FDDI, HDLC, (Digital UNIX
   loop only), DDCMP (OpenVMS only), and LAPB (OpenVMS
   only). You cannot modify this characteristic.


1  MOP_Circuit_Oper
   TBA    
1  MOP_Circuit_Station    
   TBA

1  MOP_Client  
  addresses

   Default: Empty set     Value: Set of LAN addresses

   Set of LAN addresses for this client on the circuit
   specified by the circuit characteristic. 

   For OpenVMS, Phase IV nodes can use an extended DECnet
   LAN address in addition to their hardware address, so you
   must include both of these addresses in the addresses
   set. To calculate the extended DECnet address, express
   the Phase IV node address as a four-digit hex integer,
   then add the prefix AA-00-04-00.

   For example, if the Phase IV node address is 4.260:

            4.260
    =>      4 * 1024 + 260
    =>      4356 (decimal)
    =>      1104 (hex)
    =>      AA-00-04-00-04-11 
 

   circuit

   Default: No circuit    Value: Circuit-id

   Name of the MOP circuit that corresponds to the Data Link
   circuit that is to be used for communicating with this
   client. 
 

   device types (OpenVMS)

   Default: No device types   Value:  Set of device types

   Specifies one or more device types associated with this
   client. Use device types and omit addresses if you want
   to set up a generic client entity; the entity will be
   used for any incoming load or dump requests that specify
   a matching communications device type.

   To determine the communications device type for a
   particular network server, consult the server
   documentation, or use the Configuration Monitor Function
   of MOP. 
 

   diagnostic image

   Default: No file       Value: Sequence of file specifications

   Files to be loaded when the client requests a diagnostic
   image during a downline load operation. File
   identifications are interpreted according to the file
   system of the local system.

   dump address

   Default: 1             Value: 0 to 232 -1

   Memory address at which to begin an upline dump. 
 
   dump file

   Default: No file       Value: Sequence of file specifications

   Files to write to when the client is upline dumped. File
   identifications are interpreted according to the file
   system of the local system.
 
   management image

   Default: No file       Value: Sequence of file specifications

   Files to be loaded when the client requests a management
   image during a downline load operation. File
   identifications are interpreted according to the file
   system of the local system.

   phase iv client address

   Default: 0.0           Value: Phase IV address

   Phase IV node address given to the client system when it
   is downline loaded. This address is passed in a load
   parameters message; whether it is needed depends on the
   software being loaded.

   phase iv client name

   Default: No name       Value: Phase IV name

   Phase IV node name given to the client system when it is
   downline loaded. This name is passed in a load parameters
   message; whether it is needed depends on the software
   being loaded.
 
   phase iv host address

   Default: 0           Value: Phase IV address

   Phase IV node address to be passed as the host node
   address when a client is downline loaded. This address is
   passed in a load parameters message; whether it is needed
   depends on the software being loaded.
 
   phase iv host name

   Default: No name       Value: Phase IV name

   Phase IV node name that is passed as the host name when
   the client is downline loaded. This name is passed in a
   load parameters message; whether it is needed depends on
   the software being loaded.
 
   script file

   Default: No file       Value: Sequence of file specifications

   Files to be loaded when the client requests a CMIP
   initialization script during a downline load operation.
   File identifications are interpreted according to the
   file system of the local system.
 
   secondary loader

   Default: No file       Value: Sequence of file specifications

   Files to be loaded when the client requests a secondary
   loader during a downline load operation. File
   identifications are interpreted according to the file
   system of the local system.
 
   system image

   Default: No file       Value: Sequence of file specifications

   Files to be loaded when the client requests an operating
   system image during a downline load operation. File
   identifications are interpreted according to the file
   system of the local system.
 
   tertiary loader

   Default: No file       Value: Sequence of file specifications

   Files to be loaded when the client requests a tertiary
   loader during a downline load operation. File
   identifications are interpreted according to the file
   system of the local system.

   verification

   Default: %x00-00-00-00-00-00 Hex string

   Verification string to be sent in a boot message to this
   client. The value must have an even number of digits from
   2 to 16.
 
1  NSP

   acknowledgment delay time

   Default: 3			Value for Digital UNIX: 3
   Default: 3        		Value for OpenVMS: 0-65

   Maximum amount of time, in seconds, that an
   acknowledgment is to be withheld. You cannot modify this
   characteristic.
  
  
   delay factor

   Default: 2			Value: 2-15

   Factor by which to multiply the current value of the
   roundtrip  delay estimate status attribute in order to
   set a value for the  retransmission timer.

   Note, the roundtrip delay estimate is an attribute of the
   nsp port entity.
   

   delay weight

   Default: 3			Value: 0-255

   Relative weighting to apply to the current estimate and
   to a  new sample when estimating roundtrip delay.

   dna version

   Default: current version number

   Version number of the DNA NSP architecture specification
   to which  the implementation conforms. You cannot modify
   this characteristic.
  

    flow control policy

    Default:  Segment flow control      Value:  Segment flow control

   Determines NSP flow control policy used. This attribute
   may not be changed when NSP state is "on."

   Flow control is the mechanism that determines when to
   send a Data or expedited messages. Flow control is
   performed separately for normal and expedited data.
   During transport connection formation, each end of the
   connection determines the kind of flow control policy it
   expects when acting as a data receiver. It is not
   required that both end operate with the same flow control
   policy.
    

   keepalive time

   Default for OpenVMS: 60	Value: 1-65535

   Time, in seconds, that NSP waits for data to be
   transmitted or  received before testing a transport
   connection. When this timer  expires, NSP sends a data
   request PDU to the remote NSP. This  PDU does not change
   the flow control parameters, but does require 
   acknowledgment.  For Digital UNIX, You can modify this
   characteristic to a lower value only when the entity is
   disabled.

   maximum receive buffers (OpenVMS)

   Default: 2000		Value: 1-65535

   Maximum number of receive buffers that can store received
   transport  PDUs. You may not decrease the value while NSP
   is enabled.
  
   maximum remote nsaps

   Default for OpenVMS: 201 	Value: 1-65535 

   Maximum number of remote NSAPs that can exist
   concurrently. Must be equal to or greater than the
   default, which equals the current value of maximum
   transport connections. You can modify this characteristic
   to a lower value only when the entity is disabled.

   maximum transport connections

   Default for OpenVMS: 200	Value: 0-65535

   Maximum number of active transport connections allowed at
   one time. Must not be less than the current value of
   maximum remote  NSAPs. You may not decrease the value
   while NSP is enabled.

   maximum_window

   Default for OpenVMS: 8	Value: 1-2047
   
   Maximum credit window that can be granted on a transport
   connection.   This is used for control of the number of
   data segments (PDUs)  allowed to be transmitted over a
   particular transport connection  before at least one
   acknowledgment must be returned from the  destination
   system. If the number of PDUs already transmitted equals 
   the maximum window and no corresponding acknowledgments
   have been  received, transport stops sending PDUs over
   the transport connection and waits for an acknowledgment
   message. You cannot modify this  characteristic.
    
    nsap selector 

    Default: 32		Value: 0-255

   NSAP selector used by the nsp entity when opening a port
   to a  network service.  You cannot modify this
   characteristic.

    retransmit threshold

    Default: 12		Value: 1-65535

   Maximum number of times a source nsp entity is to restart
   an expired retransmission timer before the remote node is
   to be considered unreachable. When the threshold is
   reached, NSP sets the confidence variable to false.  

1  NSP_Local_NSAP 
   TBA     
1  NSP_Remote_NSAP    
   TBA 
1  NSP_Port     
   TBA

1  OSAK

  disconnect timer

   Default: 30 seconds    Value: Time in seconds

   Length of time that the OSAK software waits when it
   expects the remote peer to disconnect a transport
   connection. If the timer expires and the remote peer has
   not disconnected the connection, the OSAK software
   disconnects the connection. You can modify this attribute
   using the set command. 
 
   protocol versions

   Default: {ACSE = {1},  Value: Set of protocol versions
   presentation = {1},
   session = {1,2} }

   Specifies the ACSE, presentation and session protocol
   versions being used by the osak entity.
 
   The full range of possible sets of values is:

      {ACSE = {1}, presentation = {1}, session = {1,2} }
      {ACSE = {1}, presentation = {1}, session = {1} }
      {ACSE = {1}, presentation = {1}, session = {2} }

   You cannot modify this attribute.
 


1  OSI_TRANSPORT

   clns classes supported

   Default: Class {4}     Value: Bit-set

   Set of protocol classes supported on the Connectionless
   Networt Service (CLNS). You cannot modify this
   characteristic. 
 

   cltp nsap selector (Digital UNIX)

   Default: 0             Value: 0-255 (except 32)

   The NSAP selector to use for CLTS when running over CLNS.
   If the value is 0 or 1, a single NSAP is shared between
   the Connection- Oriented Transport Service (COTS), and
   the connectionless transport protocol according to the
   osi transport attribute nsap selector. If both nsap
   selectors are 0 or 1, then COTS and CLTS over CLNS are
   disabled.

   This attribute cannot be set either to 32, which is the
   value of the NSP NSAP selector, or to the current setting
   of the osi transport attribute, nsap selector, if the
   attribute has a value other than 0 or 1.

   This attribute cannot be modified when transport is
   enabled. 
 
   congestion avoidance

   Default: True          Value: True or false

   Enables the use of the automatic congestion avoidance
   mechanism to reduce the transport window size in response
   to an indication from the Network layer when operating on
   the Connectionless Network Service (CLNS).
 
   cons classes supported

   Default: Classes {0,2, 4}   Value: Bit-set

   Set of protocol classes supported on the
   Connection-Oriented Network Service (CONS). You cannot
   modify this characteristic. See X.25/CONS Configuration
   for more information.
 
   cons filters

   Default: { }           Value: Set of simple names

   The names of X.25 Access module filters used to determine
   which inbound network connection requests should be
   directed to the transport entity. You can modify this
   characteristic only when the entity is disabled.

   For each cons filter, there must be a corresponding x25
   access template with the same name. One or more of these
   filters must be specified in order to run COTS over CONS.
   The X.25 access filter osi transport is typically used.
   See X.25/CONS Configuration for more information.

   cons nsap addresses

   Default: { }           Value: Set of NSAP addresses

   The set of valid NSAP addresses for use with CONS. One or
   more NSAPs must be specified to run COTS over CONS. See
   the DECnet/OSI for Digital UNIX Programming manual for
   more information.
 
   delay factor

   Default: 4             Value: 2-15

   Factor by which to multiply the current value of the
   round-trip delay estimate status attribute in order to
   set a value for the retransmission timer. This attribute
   works with protocol class 4 only.
 
   delay weight

   Default: 5             Value: 0-255

   Relative weighting to apply to the current estimate and
   to a new sample when estimating round-trip delay. This
   attribute works with protocol class 4 only.
 
   disconnect holdback

   Default: 0  Value for OpenVMS: 0-(2 raised to the
                                     power of 32 -1)

   When operating over the Connection-Oriented Network
   Service (CONS), the length of the time to maintain a
   network connection for possible reuse after all transport
   connections multiplexed upon it have been disconnected.
   Specified in seconds. This characteristic may not be
   changed while the transport entity is enabled. See
   X.25/CONS Configuration for more information.
 
   iso version

   Default:               Value: 1

   Version number of ISO 8073 to which the implementation
   conforms. You cannot modify this characteristic. 
 
   maximum multiplexing

   Default for Digital UNIX: 1023                Value: 1-1023
                            
   Default for OpenVMS: (2 raised to the      Value: 1-(2 raised to the 
                          power of 32 -1)                power of 32 -1)
   
   When operating over the Connection-Oriented Network
   Service (CONS), the maximum number of transport
   connections that can be multiplexed on any single network
   connection. This characteristic can be increased only
   when the transport entity is enabled. You can modify this
   characteristic to a lower value only when the entity is
   disabled. See X.25/CONS Configuration for more
   information.
 
   maximum network connections

                             
   Default for OpenVMS: (2 raised to the                                 
                          power of 32 -1)     
   Value: 0-(2 raised to the                           
           power of 32 -1)

   When operating over the Connection-Oriented Network
   Service (CONS), the maximum number of network connections
   which can be in use concurrently by DNA OSI Transport.
   This characteristic can be incresed only when the
   transport entity is enabled. See X.25/CONS Configuration
   for more information. 
 
   maximum receive buffers 

   Default: 2000            
   Value: 1-(2 raised to the power of 32 -1)

   Maximum number of receive buffers that can store received
   DT transport PDUs. You can modify this characteristic
   only when the entity is disabled. Also, you can only
   increase the characteristic value. 
 
   maximum remote nsaps

                       
   Default for OpenVMS: 201   
   Value: 0-(2 raised to the power of 32 -1)

   Maximum number of remote NSAPs that can exist
   concurrently. This value must be greater than the current
   value of maximum transport connections. You can modify
   this characteristic to a lower value only when the entity
   is disabled. This characteristic can be increased when
   enabled.

   maximum transport connections

   Default for OpenVMS: 200     
   Value: 0-(2 raised to the power of 32 -1)

   Maximum number of active transport connections allowed at
   one time. Must be less than the current value of maximum
   remote nsaps. You can modify this characteristic to a
   lower value only when the entity is disabled.
 
   maximum window

   Default for OpenVMS: 8               
   Value: 1-65535

   Maximum credit window that can be granted on a transport
   connection. This is used for control of the number of
   data segments (PDUs) allowed to be transmitted over a
   particular transport connection before at least one
   acknowledgment must be returned from the destination
   system. If the number of PDUs already transmitted equals
   the maximum window and no corresponding acknowledgments
   have been received, transport stops sending PDUs over the
   transport connection and waits for an acknowledgment
   message. You can modify this characteristic to a lower
   value only when the entity is disabled.
 
   nsap selector

   Default: 33            Value: 0-255 (except 32)

   The NSAP selector to use for the Connection-Oriented
   Transport Service (COTS) when running over CLNS. If 0 or
   1, COTS over CLNS is not enabled. This attribute cannot
   be set to 32, which is the value of the NSP NSAP
   selector. Or, on Digital UNIX, to the current setting of
   the osi transport attribute cltp nsap selector if it is
   other than 0 or 1.

   This attribute cannot be modified when transport is
   enabled.


   RFC1006 listener ports (OpenVMS)

   Default: { 102, 399 }      Value: Set of TCP/IP port numbers

   The names of the TCP listener ports used to receive
   inbound RFC1006 connection requests. This is applicable
   for both RFC1006 and RFC1006 Extension connections. You
   can only remove RFC1006 listener ports when the entity is
   disabled.


   version

   Default: None             Value: V1.1.0

   Version number of the DNA OSI Transport architecture
   specification to which the implementation conforms. You
   cannot modify this characteristic.


2  X.25_CONS_Configuration

   Certain transport attributes apply only when X.25 is
   installed and configured in the system. These attributes
   are indicated by references in each attribute
   description.

   To use osi transport over X.25:

   o  Set the osi transport entity attribute cons filters.
   Verify that an X.25 access filter with the same name
   exists.

   o  Set the osi transport entity attribute cons nsap
   addresses.

   o  Create one or more OSI transport templates for use
   over CONS.

   o  In the new OSI transport template, set the inbound
   characteristic to true.

   o  In the new OSI transport template, set the network
   service to cons or any (allowed for incoming connections
   only).

   o  In the new OSI transport template, check the cons
   template. Verify that an X.25 access template with the
   same name exists.

   o  To write a program that uses OSI Transport over CONS,
   see the DECnet/OSI for Digital UNIX Programming manual.


2  RFC1006_and_RFC1006_Extension_Configuration (OpenVMS)

   Certain transport attributes only apply when operating
   over TCP/IP and are indicated by references in each
   attribute description. To use RFC1006 and/or RFC1006
   Extension:

   o  Set the OSI transport entity attribute RFC1006
   listener ports to 102 (for RFC1006) and 399 (for RFC1006
   Extension). Verify that the installed TCP/IP provider has
   TCP port 102 and 399 bound.

   o  Create one or more OSI transport templates for use
   over RFC1006.

   o  In the new OSI transport template, set the network
   service to RFC1006 and the inbound characteristic to
   true.
     
1  OSI_Transport_Application    

   called tsels

   Default: No tsap    		 Value: Hex-string

   Transport Service Access Point (TSAP) for which the image
   specified by the image name characteristic accepts
   connections. This characteristic, which is similar to the
   addresses characteristic, is used by applications that do
   not use the DNA session control protocol (for example,
   VOTS applications).
 
   file name

   Default: No file name  	Value: Filename

   File name of the program to be invoked upon receipt of a
   connect request containing a TSEL matching the "Called
   TSELS" attribute of the application entity.
 
   username

   Default: No user name  	Value: "Username"

   User name portion of the access control information that
   identifies the account under which the application is to
   run. If invalid information or no user name is specified,
   system defaults are used to select the user.

   name

   Simple name assigned to the application when it is
   created.


1  OSI_Transport_Template


   name

   Simple name assigned to the template when it is created.
   The name default is reserved.

   acknowledgment delay time

   Default: 1             Value: 0-65

   Maximum amount of time, in seconds, that an AK TPDU is to
   be withheld. This attribute is valid for protocol class 4
   only.

   checksums

   Default: False         Value: True or false

   Specifies whether the use of checksums should be
   negotiated for a transport connection. This attribute is
   valid for protocol class 4 only.
 
   classes

   Default: {4}           Value: Bit-set

   Set of protocol classes that can be negotiated for use on
   a transport connection. If the value of the network
   service attribute is CLNS, the class must be a subset of
   the classes supported by the OSI transport attribute clns
   classes supported. If the value is CONS, the classes must
   be a subset of the classes supported by the OSI transport
   attribute cons classes supported. If the value of the
   network service attribute is ANY, the classes must be a
   subset of the combined classes in the clns classes
   supported and cons classes supported attributes. 
 
   clns inactive area address (OpenVMS)

   Default: Empty set     Value: Set of area-address

   Specifies the inactive area address to be used by
   transport connections that use this template. This
   characteristic is relevant only for connections that use
   CLNS with Null Internet. The set must contain no more
   than one area address. 
 
   cons template

   Default: OSI Transport          Value: Simple-name
   
   Name of the X.25 Access module template to be used when
   establishing a network connection over the CONS. Used
   only when the value of the network service attribute is
   cons.

   cr timeout

   Default: 30            
   Value for OpenVMS: 1-(2 raised to the
   power of 32 -1)

   During connection establishment, the amount of time (in
   seconds) to wait for a response to a CR TPDU before
   assuming that the remote transport service provider will
   not respond. This attribute is valid for protocol classes
   0 and 2 only.
 
   er timeout

   Default: 30            
   Value for OpenVMS: 1-(2 raised to the
   power of 32 -1)

   The amount of time (in seconds) to wait for a response to
   an ER TPDU before disconnecting the network connection.
   This attribute is used for protocol classes 0 and 2 only.
 
   expedited data

   Default: True          Value: True or false

   Specifies whether use of the expedited data option should
   be negotiated for the transport connections. This
   attribute is not valid for protocol class 0. 

   extended format

   Default: None          Value: True or false
 
   Specifies whether the use of extended TPDU format should
   be negotiated for the transport connections. Normal
   format gives  7-bit sequence numbers and 4-bit credit
   fields; extended format  gives 31-bit sequence numbers
   and 16-bit credit fields. This  attribute is supported
   only for class 2 and class 4 protocols.
  
   inbound (OpenVMS)

   Default: True          Value: True or false

   Indicates whether this template may be used as the
   template for an inbound transport connection. The
   algorithm of selection of the inbound template is
   different depending on the type of network service over
   which the transport connection is made. If an inbound
   template cannot be found for an inbound transport
   connection, then the template called DEFAULT will be
   selected as the default. For the CLNS network service,
   the inbound template selected is the first template found
   that has the Inbound attribute set to true , the Network
   Service attribute set to CLNS, and the CLNS Inactive Area
   Address attribute set to empty set.

   For the CLNS network service (using the inactive subset,
   that is, null internet), the incoming template selected
   is the first template found that has the Inbound
   attribute set to True, the Network Service attribute set
   to CLNS and the CLNS Inactive Area Address attribute
   matches the Inactive Area Address attribute of the
   Routing Circuit entity that the transport connection is
   using. For the CONS network service, the inbound template
   selected is the first template found that has the inbound
   attribute set to true , the network service attribute set
   to CONS and the CONS template attribute (that is, an X.25
   Access template name) matches the name of the X.25 Access
   filter that was used to accept the inbound network
   connection. 
 
   initial retransmit time

   Default: 5             
   Value for OpenVMS: 1-(2 raised to the
   power of 32 -1)

   Amount of time, in seconds, to wait for an acknowledgment
   before retransmitting the first TPDU over the transport
   connection.
 

   keepalive time

   Default: 60            Value: 1-16383

   Time (in seconds) to be used for the window timer. When
   the transport service provider has no TPDUs to send over
   a transport connection, it retransmits the last AK TPDU
   at the specified frequency to prevent expiration of the
   remote NSAP's inactivity timer. This attribute is valid
   for protocol class 4 only.
 
   local nsap

   Default: System        Value: NSAP address
   dependent, determined
   at run-time

   A local NSAP address to be used by default if one is not
   supplied across the service interface. 
 
   loopback (OpenVMS)

   Default: False         Value: True or false

   Specifies whether transport connections using this
   template are looped back locally in the transport layer. 
 
   maximum nsdu size

   Default: 2048          Value for OpenVMS: 2048

   When operating over the CONS, the maximum NSDU size to
   use for transmit and receive buffers. Expressed as a
   number of octets.
 

   network priority (OpenVMS)

   Default:  0            Value:  0-255

   When operating over CLNS, indicates network priority
   encoded in NPDU header for all transmitted packets. It
   may be used by intermediate  systems to assign the
   packets to queues of appropriate priority.


   network service

   Default: clns          Value: Any, clns, cons, or RFC1006
                                                    (OpenVMS)

   Type of network service. On Digital UNIX, the default
   template network service cannot be set to any. The
   network service chosen must be compatible with the value
   of the protocol class attribute.

   any        Either
   clns       Connectionless Network Service
   cons       Connection-Oriented Network Service
   RFC1006    ISO Transport Service on top of TCP
 
   retransmit threshold

   Default: 8             
   Value: 0-(2 raised to the power of 32 -1)

   Number of times a TPDU requiring acknowledgment is to be
   retransmitted before it is assumed that network
   connectivity has failed. This attribute is valid for
   protocol class 4 only.
 

   RFC1006 port number (OpenVMS)

   Default: 102          Value: TCP port number

   Specifies the TCP port number to use. Only applicable if
   the network service is RFC1006.


   security

   Default: Null value    Value: Octet string

   An octet string to be transmitted in the security
   parameter of a CR or CC TPDU. A null value causes the
   security parameter to be omitted from the TPDU. For
   security reasons, this attribute cannot be displayed.

   send implementation id

   Default: True          Value: True or false

   Indicates whether the implementation id should be sent in
   the CR if the proposed protocol class is 2 or 4. It is
   always returned in the  CC if it is present in the CR. 
 
   send preferred maximum TPDU size 

   Default: True 	 Value: True or false

   Indicates whether the preferred maximum TPDU size
   parameter should be sent in the CR TPDU.

   If the preferred maximum TPDU size parameter was present
   in the  CR TPDU, then it indicates whether the preferred
   maximum TPDU  size parameter should be sent in the CC
   TPDU.

                NOTE

   The default value of this characteristic should not be
   changed  unless the remote implementation does not
   conform to ISO 8073.

   send request acknowledgment

   Default: True 	    Value: True or false

   Indicates whether the request acknowledgment parameter
   should be sent in the CR TPDU.

   If the request acknowledgment parameter was present in
   the CR TPDU,  then it indicates whether the request
   acknowledgment parameter  should be sent in the CC TPDU.

                   NOTE

   The default of this characteristic should not be changed
   unless the remote implementation does not conform to ISO
   8073.

   use clns error reports

   Default: False         Value: True or false

   Indicates whether the network Routing layer's error
   report facility should be used when performing connection
   establishment. If set to true, this may result in faster
   detection of an unreachable node at the time of
   connection establishment. This characteristic should not
   be set to true on an end system that is either
   dual-railed or connected to a network that has a high
   probability of duplication. This is valid only if network
   service equals clns.
 
1  OSI_Trans_Local_NSAP
   TBA

1  OSI_Trans_Remote_NSAP    
   TBA

1  OSI_Transport_Port    
   TBA

1  Routing

   area authentication type

   Support: L1,IP
   Default: None          Value: None or simple

   Type of authentication to be used for level 1
   LSPs, PSNPs, and CSNPs.
 

   area receive passwords

   Support: L1,IP
   Default: No passwords  Value: Set of hex-string

   Set of passwords that are valid in level 1 LSPs, PSNPs,
   and CSNPs when simple authentication is in use. You
   cannot use the show command to display the value of this
   attribute.
 

   area send password

   Support: L1,IP
   Default: No password   Value: Hex-string

   Password to be sent in level 1 LSPs, PSNPs, and CSNPs
   when simple authentication is in use. You cannot use the
   show command to display the value of this attribute.
 

   autonomous system number

   Support: IP
   Default: 0             Value: 0-65535

   Autonomous system number of the local system. This
   characteristic is supported only if the value of the
   routing protocols supported characteristic includes EGP.
   You can modify this characteristic only when the status
   attribute routing state is off.
 

   dna address format

   Support: End
   Default: True          Value: True or false

   If true, specifies that NSAP addresses are DNA
   structured, and that NSAP address autoconfiguring is
   possible. If false, this specifies that NSAP addresses
   for this node are constructed from the characteristic
   manual network entity titles and the selectors supplied
   by the transport protocol module (NSP and/or OSI
   transport).
 
   The DNA address format attribute controls only the
   interpretation of address structuring and no longer
   controls autoconfiguration. To control autoconfiguration,
   you need to use the manual network entity titles
   attribute by manually adding or removing NETs.
                                                      


   domain authentication type

   Support: L2,IP
   Default: None          Value: None or simple

   Type of authentication to be used for level 2 LSPs,
   PSNPs, and CSNPs.
 

   domain receive passwords

   Support: L2,IP
   Default: No passwords  Value: Set of hex-string

   Set of passwords that are valid in level 2 LSPs, PSNPs,
   and CSNPs when simple authentication is in use. You
   cannot use the show command to display the value of this
   attribute.
 

   domain send password

   Support: L2,IP
   Default: No password   Value: Hex-string

   Password to be sent in level 2 LSPs, PSNPs, and CSNPs
   when simple authentication is in use. You cannot use the
   show command to display the value of this attribute.
 

   generate checksums

   Support: All
   Default: False         Value: True or false

   If true, specifies that checksums are generated for data,
   error report, and ES-IS PDUs initiated by this node. If
   false, these checksums are not generated. It is strongly
   recommended that, for performance reasons, you use the
   default value (indicating no checksum generation).
 

   lifetime

   Support: All
   Default: 63            Value: 2-255

   Value to be placed in the "lifetime" field of originating
   data packets. This value should be greater than the
   maximum number of hops in any path in the network, plus
   the maximum packet lifetime in half-seconds.
 

   manual area addresses

   Support: L1,L2
   Default: No area       Value: Set of area addresses
   addresses

   Area addresses to be used for this node. An area address
   cannot be a Phase IV address or the address DefaultArea.

   If the characteristic manual L1 algorithm has the value
   routing vector, this set must be empty, and the
   characteristic phase iv address must not be 0.0. If the
   characteristic phase iv address is 0.0, there must be at
   least one area address.
 

   manual L1 algorithm

   Support: L1
   Default: Routing       Value: See description
   vector

   Type of routing algorithm to be used within the area. You
   can modify this characteristic only when the entity is
   disabled.

   link state  The DECnet/OSI link-state algorithm is used.
   routing     The Phase IV routing-vector algorithm is used.
   vector
 

   manual L2 algorithm

   Support: L2
   Default: Routing       Value: See description
   vector

   Type of routing algorithm to be used at level 2. You can
   modify this characteristic only when the entity is
   disabled.

   link state The DECnet/OSI link-state algorithm is used.
   routing    The Phase IV routing-vector algorithm is used.
   vector
 

   manual network entity titles

   Support: End
   Default: No NETs       Value: Set of NETs

   Network entity titles (NETs) to be used for this node. If
   the characteristic dna address format is set to false,
   there must be at least one NET.
 

   maximum buffers

   Default: 100           Value: 0-65535

   Specifies the guaranteed number of buffers for
   forwarding. More buffers may be used if they are
   available.  You can only increase the characteristic
   value.
 

   maximum path splits

   Support: L1,L2
   Default: 2             Value: 1-32

   Maximum number of equal cost paths to split traffic
   between. You can modify this characteristic only when the
   entity is disabled.
 

   phaseiv address

   Support: All
   Default: 0.0           Value: PhaseIV address

   Specifies a Phase IV compatible address for communication
   with other Phase IV nodes. The default address, 0.0,
   indicates that no Phase IV compatible address is provided
   for the node. You can modify this characteristic only
   when the entity is disabled.
 

   phaseiv area maximum cost

   Support: L2
   Default: 1022          Value: 1-1022

   Maximum cost of a path to a reachable Phase IV area. This
   characteristic is only used by the Phase IV routing
   algorithm (that is, the routing-vector algorithm).
 

   phaseiv area maximum hops

   Support: L2
   Default: 30            Value: 1-30

   Maximum number of hops in a path to a reachable Phase IV
   area. This characteristic is only used by the Phase IV
   routing algorithm (that is, the routing-vector
   algorithm).
 

   phaseiv broadcast routing timer

   Support: L1,L2
   Default: 10            Value: 1-65535

   Maximum interval, in seconds, between broadcast routing
   messages on broadcast circuits. This characteristic is
   only used by the Phase IV routing algorithm (that is, the
   routing-vector algorithm).
 

   phaseiv buffer size

   Support: All
   Default: 576           Value: 1-65535

   Size, in octets, of buffers used for routing to adjacent
   Phase IV nodes. This value is actually six octets greater
   than the maximum buffer size, and does not include the
   headers for the Routing and Data Link layers.
 

   phaseiv maximum address

   Support: L1,L2
   Default: 1023          Value: 1-1023

   Maximum node number within the Phase IV area. This
   characteristic is only used by the Phase IV routing
   algorithm (that is, the routing-vector algorithm).
 

   phaseiv maximum area

   Support: L2
   Default: 63            Value: 1-63

   Maximum Phase IV area number. This characteristic is only
   used by the Phase IV routing algorithm (that is, the
   routing-vector algorithm).
 

   phaseiv maximum cost

   Support: L1,L2
   Default: 1022          Value: 1-1022

   Maximum cost of a path to a reachable node within the
   Phase IV area. This characteristic is only used by the
   Phase IV routing algorithm (that is, the routing-vector
   algorithm).
 

   phaseiv maximum hops

   Support: L1,L2
   Default: 30            Value: 1-30

   Maximum number of hops in a path to a reachable node
   within the Phase IV area. This characteristic is only
   used by the Phase IV routing algorithm (that is, the
   routing-vector algorithm).
 

   phaseIv maximum visits

   Support: All
   Default: 63            Value: 1-63

   Maximum number of visits that a packet can make to this
   node before Routing assumes that the packet is looping.
   This characteristic is only used by the Phase IV routing
   algorithm (that is, the routing-vector algorithm).
 

   phaseiv prefix

   Support: All
   Default: Hex 49        Value: Address prefix

   Prefix for Phase IV addresses. If the characteristic
   phase iv address is not 0.0, a DECnet/OSI area address is
   formed by adding the area portion of the Phase IV address
   to this prefix. You can modify this characteristic only
   when the entity is disabled.
 

   probe rate

   Support: End
   Default: 20            Value for OpenVMS: 1-65535

   Number of packets after which a probe is sent. This
   characteristic is used only on multilink end systems, on
   circuits without cache entries for the destination.
 

o  protocols

   Support: IP
                          Value: IP or ISO8473

   The protocol stacks that are enabled on this system.
   These can be either or both of the above values. The
   value of this characteristic derives from an argument to
   the create command. You cannot modify this
   characteristic.
 

   redirect holding time

   Support: L1,L2
   Default: 600           Value: 1-65535

   Holding time, in seconds, to be specified in Redirect
   PDUs generated by this node.
 

   rip receive metric class

   Support: L2,IP
   Default: External                        Value: External or Internal

   The class to be associated with routes received through
   RIP. This value may be overridden by a routing receive
   route entity. This characteristic is supported only if
   the routing protocols supported characteristic includes
   the RIP routing protocol.
       

   rip send local metric

   Support: L2,IP
   Default: 1                              Value: 0-16

   The metric value used by RIP when announcing routes
   derived from local information. This value is used unless
   it is overridden by a routing send route entity. This
   characteristic is supported only if the routing protocols
   supported characteristic includes the RIP routing
   protocol.
   

   rip send metric classes

   Support: L2,IP
   Default: Internal                      
   Value: Set of external, internal

   Routes received through routing protocols other than RIP
   with metric classes in this set are candidates for
   announcement in RIP messages subject to the route
   propagation policy in force. Routes with metric classes
   not in this set will not be announced.  Each value in
   this set may be overridden separately by a more specific
   propagation policy specified by a routing send route or
   routing send route route source entity. This
   characteristic is supported only if the routing protocols
   supported characteristic includes the RIP routing
   protocol.
   

   rip send replacement metric

   Support: L2,IP
   Default: 1                           Value: 0-16

   The metric value used by RIP when announcing routes
   derived through other routing protocols. This value is
   used unless it is overridden by a routing send route
   entity. This characteristic is supported only if the
   routing protocols supported characteristic includes the
   RIP routing protocol.
  

   routing mode

   Support: End
   Default: Integrated propogation      
   Value: Segregated or Integrated

   Determines the behavior of the forwarding algorithm. When
   the  routing mode is set to Segregated, data being
   transmitted to  Phase IV destination addresses is sent in
   Phase IV format packets,  to the adjacent Phase IV
   router, if available. In Integrated mode,  data is sent
   to Phase V (OSI) router adjacencies in CLNP packets,  if
   possible.

   This characteristic can only be set when Routing is
   disabled.  For example, to switch to segregated mode from
   the default:

       NCL> disable routing
       NCL> set routing routing mode = segregated
       NCL> enable routing
       NCL> enable routing circuit *


   route propagation

   Support: L2,IP
   Default: No Route Propagation         Value: Set of protocol pairs

   The default route propagation to be performed. The set
   may include the following protocol pairs:

      EGP to IS-IS      IS-IS to RIP
      EGP to RIP        RIP to EGP
      IS-IS to EGP

   If a particular value is not present in the set, routes
   are not propagated between those two protocols in that
   direction. This characteristic is supported only if the
   routing protocols supported characteristic includes
   either of the EGP or RIP routing protocols.
      

   routing mode

   Support: End
   Default: Integrated                   Value: Segregated or Integrated

   Determines the behavior of the forwarding algorithm. When
   the routing mode is set to Segregated, data being
   transmitted to Phase IV destination addresses is sent in
   Phase IV format packets, to the adjacent Phase IV router,
   if available. In Integrated mode, data is sent to Phase V
   (OSI) router adjacencies in CLNP packets, if possible.

   This characteristic can only be set when Routing is
   disabled. For example, to switch to segregated mode from
   the default:

      NCL> disable routing
      NCL> set routing routing mode = segregated
      NCL> enable routing
      NCL> enable routing circuit *


   routing protocols supported

   Support: L2,IP

   The set of routing protocols supported by this
   implementation. You cannot modify this characteristic.

     EGP
     IS-IS
     RIP


   segment buffer size

   Support: All
   Default: 570           Value: 0-65535

   Maximum segment size, in octets, to be used by the
   Transport layer. A value of zero means that the segment
   size is unlimited.
 

   send source quench

   Support: L1,L2,IP
   Default: False         Value: True or false

   Specifies whether an ICMP source quench packet is sent
   when an IP packet is discarded because of congestion. If
   false, ICMP source quench packets are never sent.
 

o  source quench interval

   Support: L1,L2,IP
   Default: 100           Value: 1-65535

   Minimum time, in milliseconds, between transmission of
   successive ICMP source quench packets.
 

o  summary addresses

   Support: L2,IP
   Default: No addresses  Value: Set of summary addresses

   Summary address information to be included in level 2
   link state packets sent by this node.
 

o  time to live

   Support: IP
   Default: 35            Value: 1-255

   Specifies the value to be placed in the time to live
   field of originating IP packets. This value should be
   greater than the maximum number of hops in any path on
   the network.
 

1  Routing_Circuit

   name

   Simple name assigned to the circuit when it is
   created.

   data link entity

   Support: All
   Default: No data link  Value: Local-entity-name
   name

   Name of the entity within the data link module to be
   created when a port is opened for that data link type.
   You can modify this characteristic only when the entity
   is disabled. This attribute is supported for all types of
   circuits, however for X.25 circuits set the attribute to
   x25 access.
 

   dna neighbor

   Support: L1,L2
   Default: True          Value: True or false

   If true, specifies that the neighbor is expected to be
   DNA compliant, and so proprietary mechanisms are
   possible. If false, no router-to-router Hellos or LSPs
   will be sent over this circuit. This characteristic is
   supported only if the characteristic type is not x25 da.
   You can modify this characteristic only when the entity
   is disabled.
 

   enable phaseiv address

   Support: All
   Default: True          Value: True or false

   Specifies whether the physical LAN address is to be set
   to the Phase IV style LAN address (that is,
   AA-00-04-00-xx-xx). The LAN address is set only if this
   attribute is true and the value of the Phase IV Address
   characteristic is not 0.0. If Phase IV Address is not 0.0
   and there are multiple adaptors to the same LAN, only one
   circuit may have this attribute set to true. This
   characteristic is supported only if the characteristic
   type is set to csma-cd.
 

   explicit receive verification

   Support: All
   Default: True          Value: True or false

   Type of password verification performed at circuit
   initialization. If true, the received verifier is checked
   against the value of the characteristic receive verifier
   for this circuit, if any. If false, the received verifier
   is checked against the set of verifiers specified in the
   routing permitted neighbor entities. This attribute is
   supported only if the characteristic type is set to
   ddcmp, hdlc, x25 static incoming, x25 static outgoing,
   and x25 permanent.
 

   hello timer

   Support: L1,L2
   Default: 10            Value: 1-32767

   Interval, in seconds, between IS Hello messages.
 

   idle timer

   Support: All
   Default: 30            Value: 1-65535

   Number of seconds of idle time before a call is cleared.
   This attribute is supported only if the characteristic
   type is x25 da.
 

   inactive area address

   Support: All
   Default: No area       Value: Set of area addresses
   address

   Area address associated with the use of the inactive
   subnet of ISO 8473. Maximum area address that may be
   present is 1. This characterisitic is supported only if
   the characteristic type is set to csma-cd.
 

   initial minimum timer

   Support: All
   Default: 55            Value: 1-65535

   Period, in seconds, for which an X.25 call remains
   connected after being established, irrespective of
   traffic. This should be set small enough that the call is
   cleared before the start of the next charging interval.
   This attribute is supported only if the characteristic
   type is x25 da.
 

   isis hello timer

   Support: L1,L2
   Default: 3             Value: 1-32767

   Interval, in seconds, between LAN level 1 and level 2
   router-to- router Hello messages. This value is also used
   as the interval between IS Hello messages when polling
   the ES configuration.
 

   L1 cost

   Support: L1,L2
   Default: 20            Value: 1-63

   Cost of this circuit for level 1 traffic.
 

   L1 router priority

   Support: L1,L2
   Default: 64            Value: 1-127

   Priority for becoming LAN level 1 designated router. This
   attribute is supported only if the circuit's
   characteristic type is csma-cd.
 

   L2 cost

   Support: L2
   Default: 20            Value: 1-63

   Cost of this circuit for level 2 traffic.
 

   L2 router priority

   Support: L2
   Default: 64            Value: 1-127

   Priority for becoming LAN level 2 designated router. This
   attribute is supported only if the circuit's
   characteristic type is csma-cd.
 

   manual data link sdu size

   Support: All
   Default: 1492          Value: 128-65535

   Preferred maximum data-link block size, in octets. You
   can modify this characteristic only when the entity is
   disabled. If the characteristic type is csma-cd, this
   characteristic is a read- only attribute whose value is
   fixed at 1492.
 

   manual L2only mode

   Support: L2
   Default: False         Value: True or false

   If true, specifies that this circuit is to be used only
   for level 2 traffic. If false, the circuit may be used
   for both level 1 and level 2 traffic. You can modify this
   characteristic only when the entity is disabled.
 

   manual routers

   Support: End
   Default: No router     Value: Set of LAN addresses
   IDs

   Manually entered IDs of routers. If this set is empty,
   the circuit will auto-configure the routers. This
   characteristic is supported only if the circuit's
   characteristic type is csma-cd. For Digital UNIX, a
   maximum of 5 routers can be in the set.
 

   maximum call attempts

   Support: All
   Default: 10            Value: 0-255

   Maximum number of successive X.25 call failures before
   the circuit is regarded as being halted. A value of zero
   means that there is no limit to the number of retries.

   This attribute is supported only if the characteristic
   type is set to x25 static outgoing. You can modify this
   characteristic only when the entity is disabled. Also,
   you can only increase the characteristic value.
 

   maximum svc adjacencies

   Support: All
   Default: 1             Value: 1-65535

   Number of routing circuit adjacency entities to reserve
   for SVCs on this circuit. This is effectively the maximum
   number of simultaneous calls possible on this circuit.
   This attribute is supported only if the characteristic
   type is x25 da.
 

   originating queue limit

   Support: L1,L2
   Default: 2             Value: 1-50

   Maximum number of data PDUs originated by this node that
   can be on this circuit's transmit queue. This should be
   set to the minimum number required to keep the data link
   from idling. You can modify this characteristic to a
   higher value when the entity is disabled; you can never
   modify it to a lower value.
 

   recall timer

   Support: All
   Default: 60            Value: 0-65535

   Interval, in seconds, that must elapse between a call
   failure and a recall. This attribute is supported only if
   the characteristic type is set to x25 static outgoing,
   x25 da, hdlc, or ddcmp.
 

   receive verifier

   Support: All
   Default: No verifier   Value: Hex string, length 0-38

   Value against which a neighbor node's received verifier
   is to be checked. If no verifier is specified, no
   verification is performed. This attribute is supported
   only if the characteristic type is either ddcmp, hdlc,
   x25 static incoming, x25 static outgoing, or x25
   permanent. You cannot display this characteristic.
 

   reserved adjacency

   Support: End
   Default: False         Value: True or false

   If true, specifies that one SVC must be reserved for
   connection to a router. If false, no SVC needs to be
   reserved for this purpose. This characteristic is
   supported only if the circuit's characteristic type is
   x25 da). You can modify this characteristic only when the
   entity is disabled.
 

   reserve timer

   Support: All
   Default: 600           Value: 1-65535

   Interval, in seconds, during which the SVC remains
   reserved for the previous DTE address after a call is
   cleared due to lack of traffic. This attribute is
   supported only if the characteristic type is x25 da.
 

   template

   Support: All 
   Default: No template   
   Value: Template-id name

   Name of the template to be used when a port is opened for
   this data-link type. If no template name is specified, no
   template is used. You can modify this characteristic only
   when the entity is disabled.
 

   transmit verifier

   Support: All
   Default: No verifier   Value: Hex-string, length 0-38

   Value to be transmitted for verifying the identity of
   this node. If no verifier is specified, no verifier is
   transmitted. This characteristic is supported only if the
   characteristic type is either ddcmp, hdlc, x25 static
   outgoing, x25 static incoming, or x25 permanent. You
   cannot display this characteristic.
 

   x.25 filters

   Default: See           Value: Set of simple names
   description

   Specifies the set of X.25 filters to be used when a port
   is opened to the X.25 module. Typically, there will be
   two sets: one to specify the selection on the Call User
   Data field for DECnet /OSI, and the other to specify the
   selection on the subaddress for Phase IV. This attribute
   is valid only if the characteristic type is x25 static
   incoming or x25 da.



2  ip_reachable_address 
	TBA

2  reachable_address

   address prefix address-prefix

   Address prefix to which this reachable address
   corresponds.

   address prefix

   Support: L2,End		
   Default: None		Value: Address Prefix

   Address prefix to which this reachable address refers.
   You cannot  modify this characteristic. This
   characteristic is set  by means of an argument to the
   create command.

   The value of this characteristic derives from an argument
   to the create command. This characteristic is supported
   only if the owning circuit has type set to x25 da.


   block size

   Support: End, type outbound
   Default: 0			Value: 0-65536

   The data link block size to be used for this prefix. For
   an end system, the data link block size to be used for
   this prefix.  If the block size is set to the default,
   the manual block size  of the circuit will be used
   instead.  This attribute is supported only  if the type
   characteristic is set to outbound.
 

   cost

   Support: L2
   Default: 20            	Value: 1-63

   Cost of reaching this address prefix over this
   circuit.
 

   data format

   Support: L2
   Default: Phase V             Value: Phase IV (1) or Phase V (0)

   The PDU data format to be used when forwarding data (or
   error report) NPDUs using this reachable address.

   This attribute is supported only if the type
   characteristic is set to outbound. You can modify this
   characteristic only when  the entity is disabled.


   dte addresses

   Support: End,L2
   Default: No DTE addresses={ }        Value: Set of DTE addresses
   
   A set of DTE addresses to which a call may be directed in
   order to reach an address that matches the address prefix
   of this reachable address.

   This characteristic is supported if the node is a level 2
   router, where the owning circuit's characteristic type is
   one of the X.25 circuit types, and the reachable
   address's characteristic type is outbound. It is also
   supported by end nodes operating over an x25 da circuit.
   You can modify this characteristic only when the entity
   is disabled.
 

   ISDN address

   Support: L1,L2
   Default: { }			Value: Set of ISDN addresses

   A full set of E.164 ISDN network addresses that a call
   may be directed in order to reach a network number that
   matches the  address prefix of the parent reachable
   address entity. Associated  with each ISDN network
   address, but not visible to Network Management,  is a
   variable last failure of type binary absolute time. This 
   attribute is supported only if access type is ISDN DA.
                      

   LAN address

   Support: L2,End
   Default: 00-00-00-00-00-00 	 Value: ID
   
   A single LAN address to which an NPDU can be directed in
   order to reach an address that matches the address prefix
   of the parent reachable address entity. This attribute is
   supported only if the type characteristic is set to
   outbound on broadcast circuits only. A valid address is
   required here.

   You can modify this characteristic only when the entity
   is disabled.
       

   mapping

   Support: End,L2
   Default: X.121         	Value: Manual or X.121

   Type of mapping used to determine the SNPA address to
   which a call should be placed for this address prefix.
   You can modify this characteristic only when the entity
   is disabled. If the circuit is a broadcast circuit, this
   attribute must have the value manual.

   manual  The mapping uses the set of addresses in the
   characteristic dte addresses or the address in the
   characteristic LAN address.

   X.121  The mapping uses the X.121 address extraction
   algorithm.

   This characteristic is supported only if either of the
   following conditions is satisfied:

   o  The node is a level 2 router or an end node, and the
   owning circuit's characteristic type is one of the X.25
   circuit types; or

   o  The node is a level 2 router, the owning circuit's
   characteristic type is csma-cd, and the reachable
   address's characteristic type is outbound.
 

   metric type

   Support: L2
   Default: Internal		Value: Internal, external

   The metric type of the cost metric for the circuits. If
   internal, the I/E bit for the metric in the Prefix
   Neighbors option of  L2 LSPs is set to 0, otherwise
   (external) is set to 1.


   modem addresses

   Support: L1,L2		
   Default: { }			Value: Set of modem addresses

   A set of full dial sequence that contains the address
   (PSTN or ISDN) to which a call may be directed in order
   to reach a  network number that matches the address
   prefix of the parent  reachable address) entity.
   Associated with each modem address,  but not visible to
   Network Management, is a variable last failure of  type
   binary absolute time. This is valid only if mapping is
   manual  and the parent circuit entity's access time is
   Modem DA.


   modem address prefix

   Support: L1,L2
   Default: L1,L2             Value: Address string

   The address that is to be inserted to the beginning of
   the address extracted from the NSAP address. This is
   valid only if mapping is not manual and the parent
   circuit entity's access type is Modem DA. It is used in
   conjunction with modem access suffix to form the complete
   dial sequence.


   modem address suffix

   Support: L1,L2
   Default: L1,L2             Value: Address string

   The address that is to be inserted to the end of the
   address extracted from the NSAP address. This is valid
   only if mapping is not manual and the parent circuit
   entity's access type is Modem DA. It is used in
   conjunction with modem access prefix to form the complete
   dial sequencence.


   permitted LAN address

   Support: End
   Default: { }               Value: Set of LAN addresses

   The set of LAN addresses corresponding to routers that
   are permitted to be used for forwarding to this prefix.
   This attribute is supported only if the type
   characteristic is set to filter on broadcast circuits
   only. The default is an empty set, and at least one LAN
   address is required.
   

   type

   Support: L2,End
   Default: Outbound      	Value: Inbound, outbound, or filter

   Type of the reachable address. You can modify this
   characteristic only when the entity is disabled.

   inbound        For L2 only, the address prefix
   corresponds to a  Phase IV area that is reachable through
   this node  and circuit by inbound traffic.

   outbound       The address prefix is in an external
   domain that is reachable over this circuit by outbound
   traffic.

   filter	  The address prefix defines a set
   of addresses that  should be reached via the
   set of routers listed in the permitted LAN
   address characteristic.


2  egp_group

   autonomous system number

   Support: L2,IP
   Default: 0             Value: 0-65535

   The autonomous system number common to members of this
   group. You can modify this characteristic only when the
   entity is disabled. This attribute is supported only if
   the node is a level 2 router, and if the system supports
   dual routing (both DECnet and IP routing).
 

   external routes

   Support: L2,IP
   Default: Receive       Value: Set of send,receive

   If the set includes receive, external gateway routes are
   accepted from neighbors in the group; if the set does not
   include receive, external gateway routes are discarded.
   If the set includes send, external gateway routes will be
   sent to neighbors in this group; if the set does not
   include send, external gateway routes are not sent. You
   can modify this characteristic only when the entity is
   disabled.
 

   maximum active neighbors

   Support: L2,IP
   Default: 1             Value: 0-255

   The maximum number of neighbor systems in the group that
   this system will attempt to acquire and maintain in the
   Up state at any given time. You can modify this
   characteristic only when the entity is disabled.
 

   receive metric class

   Support: L2,IP
   Default: External      Value: Internal or external

   The class to be associated with routes received from EGP
   neighbors in this group (unless overridden by a routing
   receive route entity). You can modify this characteristic
   only when the entity is disabled.
 

   send local metric

   Support: L2,IP
   Default: 1             Value: 0-255

   The metric value to be used when announcing routes
   derived from local information (unless overridden by a
   routing send route entity). You can modify this
   characteristic only when the entity is disabled.
 

   send metric classes

   Support: L2,IP
   Default: Internal      Value: Set of external,internal

   Routes received through routing protocols other than EGP
   with metric classes in this set are candidates for
   announcement in EGP messages sent to neighbors in this
   group, subject to route propagation policy. Routes with
   metric classes not specified in this set will not be
   announced. You can modify this characteristic only when
   the entity is disabled.
 

   send replacement metric

   Support: L2,IP
   Default: 1             Value: 0-255

   Specifies the metric value to be used when announcing
   routes derived from non-EGP routing protocols (unless
   overridden by a routing send route entity). You can
   modify this characteristic only when the entity is
   disabled.

   name

   Simple name assigned to the EGP group when it is created.


 
2  permitted_neighbor 
 
   name

   Simple name assigned to the permitted neighbor when it is
   created. 

   1  Routing_Circ_Adjacency 
   TBA 
1   Routing_Circ_IP_Addr_Trans     
   TBA 

1  Routing_Circ_IP_Adjacency    
   TBA
 
1  Routing_Circ_IP_Reach_addr      
   TBA 

1  Routing_Circ_Reach_Addr 
   TBA
 
1  Routing_Destination_Area    
   TBA 

1  Routing_Destination_Node     
   TBA 

1  Routing_EGP_Neighbour     
   TBA
 
1  Routing_IP_Destination_Addr 
   TBA
 
1  Routing_IP_Permit_Neighb     
   TBA
 
1  Routing_Port     
   TBA


1  Session_Control
   address update interval

   Default: 10            Values: 1-4294967296

   Specifies the minimum time (in seconds) allowed between
   updates of address information. More frequent
   modification to the set of local towers is prohibited.
 

   incoming proxy

   Default: True          Value: True or false

   Specifies whether to honor incoming proxy requests. If
   this attribute is set to false, requests to invoke
   proxies on incoming requests are ignored.
 

   incoming timer

   Default: 45            Values: 0-65535

   Time (in seconds) to wait for a user module to issue an
   accept/reject call after a port enters a state indicating
   that a connection request was received. If the timer
   expires, Session Control aborts the transport connection
   with a timed out error. For OpenVMS, a zero (0) value
   directs Session Control to wait indefinitely without
   aborting the connection.
 

   maintain backward soft links

   Default: False         Value: True or false

   Specifies whether Session Control should attempt to
   update the backward translation soft links when it
   detects an address change. If this attribute is set to
   false, Session Control will add no new backward
   translation soft links and it may delete any that it has
   created.
 

   modify acs

   Default: True          Value: True or false

   Specifies whether Session Control should attempt to
   update the ACS (access control set) of the node object
   whenever it attempts to update the towers attribute for
   the node in the namespace.
 

   network priority (OpenVMS)

   Default:  0            Value:  0-255

   When operating over CLNS, indicates network priority
   encoded in NPDU header for all transmitted packets.  It
   may be used by  intermediate systems to assign the
   packets to queues of appropriate  priority.


   node synonym directory

   Default: .DNA_         Value: Full-name
   NodeSynonym

   Full name of a DECdns directory that contains node
   synonyms.
 

   non privilege user (OpenVMS)

   Specifies the Session Control on a non-privileged user
   account.
 

   outgoing proxy

   Default: True          Value: True or false

   Specifies whether to invoke a proxy on outgoing
   connection requests when the user does not explicitly
   specify to do so. If this attribute is set to false, no
   proxy is invoked.
 

   outgoing timer

   Default: 60            Values: 0-65535

   Time (in seconds) to wait for an outgoing transport
   connection to be accepted before Session Control aborts
   the connection with a timed out error. For OpenVMS, a
   zero (0) value directs Session Control to wait
   indefinitely without aborting the connection.
 

   transport precedence

   Default: osi         Values: Set of osi or nsp


   This command sets the order in which transports are
   selected when establishing a connection. The default
   order is to try OSI, then  NSP. The command takes a set
   as input. Valid items in the set are  SESSION CONTROL
   TRANSPORT SERVICE entity names. 

   update retry interval

   Default: 60            Values: 1-4294967296

   Time to wait before Session Control retries a failed
   attempt to update information in the namespace. The
   default is 60 minutes.


1  Session_Control_Application
   name

   Simple name assigned to the application when it is
   created.

   addresses

   Default: Empty set     Value: Set of end-user specifications

   A set of end-user specifications, any one of which, when
   specified in the destination name field of an incoming
   connection request, causes applications defined by this
   entity to be invoked. 
 


   client

   Data type: Entity name

   Identifies the name of the local user that will be
   activated upon receipt of a connect request containing a
   destination name matching one of the values in the
   destination names attribute.
 


   image name

   Default: No image      Value: File specification
   name

   File name of a program to be invoked upon receipt of a
   connection request containing an address that matches one
   of the values contained in the set described by the
   addresses characteristic.
 


   incoming osi tsel (OpenVMS)

   The TSEL this image will accept connections for. This is
   similar to the destination names attribute. However,
   applications using this access point for in-connection
   matching do not use DNA Session Control protocol.
 

   incoming proxy

   Default: True          Value: True or false

   Specifies whether to honor incoming proxy requests. If
   this attribute is set to false, requests to invoke
   proxies on incoming requests are ignored. The setting of
   this characteristic overrides the setting of the session
   control incoming proxy characteristic for the specified
   application. 
 

   node synonym

   Default: False         Value: True or false

   Default form in which the remote node name is passed to
   the application.

   false  The full node name is used.

   true   The node synonym is used; if no synonym 
          is available,  the full name is used.


   outgoing alias (OpenVMS)

   Default: False	Value: True or false

   Specifies whether a particular object uses the alias node
   identifier in its outgoing connect requests. If false,
   the specified object is not allowed to use the alias node
   address in its outgoing connect requests. 


   outgoing proxy (OpenVMS)

   Default: False	Value: True or false

   Default action to execute when user does not explicitly
   specify whether or not to invoke a proxy. 
 


   user name

   Default: None          Data type: Latin1String

   Identifies the default account under which the
   application is to run. For OpenVMS, if null then system
   defaults are used to select the user.
 

1  Session_Control_Port
   TBA
1  Session_Control_Tower_Maint    
   TBA
1  Session_Control_Trans_Service    
   TBA

1  X25_Access

   TBA

1  X25_Access_Application

   file

   Default: None                        Value: File name

   Indicates the file name or command that is associated
   with starting a process for the represented application.
 

   filters

   Default: None                        Value: Set of names

   Set of filters that are associated with filtering calls
   for either X.25 or X.29 applications represented by this
   entity.
 


   type

   Default: X25(0)                   
   Value: Enumerated (see description)

   Specifies the type of application.

   X25(0)         This application operates in X.25 mode
   X29(1)         This application operates in character mode.
   X29 login(2)   This is an application of X.29 type devoted
                  specifically to login sessions.
 

   user

   Default: No user ID                Value: String

   Default user identification to be used to start the
   application process. This attribute is not valid for type
   X29 login and should be null.

   name

   Simple name assigned to the application when it is
   created.


 
1  X25_Access_DTE_Class

   account (OpenVMS)

   Default: No service/account data              Value: String
                
   Default service or account data to be used when
   connecting to the X.25 server on the gateway system
   specified by the node characteristic or service node
   characteristic. This attribute is supported only for DTE
   classes with characteristic type remote.
 

   DNIC 

   Default: Supplied by   Value: 
                          DTE address of 3 or 4 digits length
   profile

   The first part of the Network User Address (NUA). This
   takes one of two forms: Either it is in the form of the
   Data Network Identification Code (DNIC) and is specified
   by 4 digits, or it is in the form of a Data Country Code
   (DCC) and is specified by 3 digits. If no profile is
   specified, the default is null. 
 

   International prefix 

   Default: Supplied by         Value: DTE address of 1 digit only.
   profile

   First digit of an X.121 address to indicate an
   international or internetwork call. If no profile is
   specified, the default is a null DTE address. 
 

   local dtes

   Default: No names                            Value: Set of names

   Names of the local x25 protocol dte entities that belong
   to this DTE class. Note that these DTE entities need not
   exist when their names are entered in this set; DTEs that
   do not exist when the DTE class is used are not
   considered when the DTE class is used for an outgoing
   call.

   If an x25 protocol dte entity has status attribute state
   set to running when its name is added to local dtes, you
   must disable the DTE entity and reenable it (see the
   disable x25 protocol dte and enable x25 protocol dte
   commands) in order for the DTE to be considered when this
   DTE class is used for an outgoing call.

   You can specify this characteristic only for DTE classes
   with characteristic type local.
 

   local prefix 

   Default: Supplied by           Value: DTE address of 1 digit only
   profile

   First digit of a DTE address to indicate a local call. If
   no profile is specified, the default is a null DTE
   address. 
 

   node (OpenVMS VAX)

   Default: No name                                Value: Full-name

   Node name of the remote gateway system on which the DTEs
   in this DTE class reside. Note that this characteristic
   is supported only if the service nodes characteristic is
   not supported.

   This characteristic is supported only for DTE classes
   with type characteristic set to remote. 
 

   outgoing session template (OpenVMS)

   Default: Default or no name                      Value: String
   (see description)

   Name of the OSI Transport template to be used by the X.25
   client to connect to the X.25 server on the gateway
   system. The default  value default is valid only if OSI
   session control is being used.  This attribute is
   supported only for DTE classes with characteristic  type
   remote.
 

   profile 

   Default: No profile                              Value: String

   Name of the profile that supplies the information
   required to perform X.121 mapping to or from a simple DTE
   address. The profile supplies the default values for the
   International prefix, Local prefix, DNIC and strip DNIC
   characteristics. This characteristic is specified by the
   profile argument in the create command. This argument is
   optional. 
 

   security dte class 

   Default: Default                                 Value: Name

   Name of the x25 access security dte class entity that
   controls inbound and outbound access using this DTE
   class. 
 

   service nodes (OpenVMS Alpha)

   Default: No records                         Value: Set of records

   Names of the nodes that may be used as candidate X.25
   gateway systems and their associated ratings. Each record
   consists of a full name that describes the candidate node
   and an integer that indicates its ratings. The records
   are listed in order of descending rating. Values are
   entered as [node=nodename, rating=integer]. The rating
   represents the maximum number of session control
   connections to the node pair.
 

   strip DNIC 

   Default: False                              Value: True or false

   Defines whether the first part of the NUA (the DNIC or
   DCC specified by the DNIC characteristic) should be
   stripped for outgoing calls, and whether the network
   strips the first portion of the NUA from addresses it
   presents to the DTE. 
 

   type

   Type of DTE class.

   local      The DTE class consists of local DTEs.

   remote     The DTE class consists of DTEs on a remote 
              gateway system.

   The value of this characteristic is specified by the type
   argument in the create command. 
 

   user (OpenVMS)

   Default: No user ID                                Value: String

   Default user identification to be used when connecting to
   the gateway system specified by the service nodes
   characteristic. 
 
   name

   Simple name assigned to the DTE class when it is created.


1  X25_Access_Filter

   call data mask

   Default: No mask       Value: Hex string

   Mask to be applied to call user data in an incoming call.
   The result is compared, octet by octet, with the call
   data value characteristic.
 

   call data value

   Default: No call user  
   Value: Hex string data

   Call user data value to be matched by this filter. This
   value is compared, octet by octet, with the masked call
   user data in the call request. This string must have the
   same length as the string specified for the call data
   mask characteristic.
 

   called address extension mask

   Default: No called     Value: Hex string
   address extension
   mask

   Mask to be applied to the called address extension in an
   incoming call. The result is compared, octet by octet,
   with the called address extension value characteristic.
 

   called address extension value

   Default: No called     Value: Hex string
   address extension
   value

   Called address extension value to be matched by this
   filter. This value is compared, octet by octet, with the
   masked called address extension value. This string must
   have the same length as the string specified in the
   called address extension mask characteristic.
 

   group

   Default: No group      Value: Group name
   name

   Name of the x25 protocol group entity to be matched by
   this filter. The DTE must belong to this group for the
   filter to match. Wildcards can be used in the group name.
 

   inbound dte class

   Default: No DTE class  Value: Class name

   Name of the DTE class to be matched by this filter. The
   DTE must belong to this DTE class for the filter to
   match. This is the DECnet/OSI mechanism for specifying a
   local receiving DTE; see also the description of the
   receiving dte address characteristic. Wilcards can be
   used in the class name.

   incoming dte address

   Default: No DTE        Value: DTE address
   address

   Value to be matched with the "called address" field of an
   incoming call packet. Wildcards can be used in the
   incoming  DTE address.
 

   originally called address

   Default: No address    Value: DTE address

   Value to be matched with the "originally called address"
   field of an incoming call that has been redirected.
   Wildcards can be used in the originally called DTE
   address.
 

   called nsap

   Default: No NSAP       Value: NSAP address
   address

   Value to be matched against the called address extension
   field of an incoming call packet when the field contents
   are encoded in ISO format.
 

   priority

   Default: 1             Value: 0-65535

   Filter's position in an ordered set of filters used for
   matching incoming calls.
 

   receiving dte address

   Default: No DTE        Value: DTE address
   address

   Address that is used to match the DTE address of the
   local receiving DTE. This characteristic is included for
   backward compatibility with Phase IV; the DECnet/OSI
   mechanism uses the dte class characteristic. Wildcards
   can be used in the  receiving DTE address.
 

   redirect reason

   Default: Not           Value: See description
   specified

   Reason for matching a call that has been redirected.

   busy        The original destination was busy.
   not         Redirection was not checked.
   specified
   out of      The original destination was not operational.
   order
   systematic  Calls to the original destination are systematically
               redirected.

   This value must be the same as the redirect reason in the
   call request for the filter to match.
 

   security filter

   Default: Default       Value: Security filter

   Name of the x25 access security filter entity that
   controls access to this filter. Wildcards can be used in
   the security filter name.
 

   sending dte address

   Default: No DTE        Value: DTE address
   address

   Value to be compared with the "calling address" field of
   an incoming call packet. These values must be the same
   for the filter to match. Wildcards can be used in the
   sending DTE address.
 

   subaddress range (OpenVMS VAX)

   Default: No range      Value: Set of one range

   Subaddress range value to be matched by this filter.
   Format the values to specify this subaddress range. This
   set must either be empty or contain exactly one value.
   This attribute has been retired; it has been included to
   allow the value of the attribute to be seen, but it
   cannot be modified.

   name

   Simple name assigned to the filter when it is created.

1  X25_Access_Port    
   TBA
1  X25_Acc_Sec_DTE_Rem_DTE    
   TBA

1  X25_Acc_Reachable_Addr

   address extensions

   Default: True          Value: True or false

   Specifies whether the "called address extension" and
   "calling  address extension" fields are to be included in
   the outgoing call  packet.
 

   address prefix

   Address prefix to trigger the use of DTE class and
   destination. Supplied as an argument to the create
   command. You cannot modify this characteristic.
 

   destination

   Default: No DTE        Value: DTE address
   address

   Manually entered DTE address. This address is used only
   if the mapping characteristic has the value manual.
 

   dte class

   Default: No class      Value: Class name
   name

   Name of the DTE class to be used in making the outgoing
   call. If not specified, any DTE class may be used.
 

   mapping

   Default: X.121         Value: Manual or X.121

   Mechanism by which the destination DTE address is to be
   derived.

   manual  The destination DTE address is supplied manually
   by means of the destination characteristic.

   X.121   The destination DTE address is derived by an
   algorithm from an NSAP address in X.121 format. X.121
   address mapping may only be specified with address
   prefixes of 36, 37, 49, 52 and 53.


1  X25_Acc_Sec_DTE_Class
   TBA

2  Remote_DTE

   acl

   Default: No acl        Value: Access control list

   Access Control List (ACL) that is used when checking
   outbound calls to the set of DTE addresses that this
   remote DTE represents. Wildcards can be used in the
   identifiers that form  part of each Access Control Entry
   (ACE) in an Access Control  List (ACL).
 
   rights identifiers

   Default: No rights     Value: Set of names
   identifiers

   Rights identifiers possessed by this remote DTE.  It is
   used for incoming call checking against the ACL attribute
   of a security filter entity that is used to guard a
   filter.

   name

   Simple name assigned to the remote DTE when it is
   created.

1  X25_Acc_Reachable_Addr
   TBA

1  X25_Acc_Security_Filter

   acl

   Default: No acl        Value: Access control list

   Access control list that is used for checking inbound
   calls for all filters using this security filter.
   Wildcards can be used in the identifiers that form part
   of each Access Control Entry (ACE) in an Access Control
   List (ACL).

 
1  X25_Acc_Template

   call data

   Default: No call user data                   
   Value: Hex string
   
   Call user data to be sent in the call.
 

   calling address extension

   Default: No NSAP address                     
   Value: NSAP address
   
   Calling Network Service Access Point (NSAP) address is to
   be passed to a higher-level entity within the called DTE.
   A null address indicates that this facility is not
   included in the outgoing call.
 

   charging information

   Default: False                              
   Value: True or false

   Specifies whether charging information is requested for
   this call.
 

   destination dte address

   Default: No DTE address                     
   Value: DTE address
   
   Address of the remote DTE, including the remote
   subaddress (if any), to which the call is
   directed.
 

   dte class

   Default: No DTE class name                  Value: Class name
   
   Name of the DTE class to be used for the call.
 

   end-to-end delay

   Default: [0..0]                 
   Value: Range (see description)

   Lower and upper bounds of the acceptable end-to-end delay
   for the call. A zero value for either bound indicates
   that no range is included in the outgoing call.
 

   expedited data

   Default: Not specified                   Value: See description
   
   Specifies whether expedited data is requested for the
   call.

   do not use     Expedited data is not in use.

   not            Expedited data is not requested.
   specified

   use            Expedited data is in use.
 

   fast select

   Default: Not specified                  
   Value: See description
  
   Specifies whether fast select is requested for the call.

     fast select    Fast select is in use.
  
     no fast        Fast select is not in use.

     select not     Fast select is not requested.

     specified      Fast select with response is in use.
     with response
 

   local facilities

   Default: No facilities                        Value: Hex string
   
   Non-CCITT facilities that are available from the local
   PSDN. The string is placed in the outgoing call request
   packet without modification. The contents and
   interpretation of this string are
   implementation-dependent.
 

   local subaddress

   Default: No DTE address                      Value: DTE address
  
   Local subaddress to be appended to the calling DTE
   address in the call.
 

   network user identity

   Default: No network user identity            
   Value: Hex string
   
   Network user identity to be included in the call packet.
   The format of the network user identity is specified by
   the PSDN administration.
 

   nsap mapping

   Default: False                              
   Value: True or false

   Specifies whether an x25 access reachable address entity
   is used to map the supplied NSAP address to a destination
   DTE class/DTE address pair.
 

   packet size

   Default: Supplied by profile                
   Value: 0-4096
 
   Packet size, in octets, for transmitted and received data
   packets. The value must be a power of 2 in the range 0 to
   4096. The value zero indicates that no packet size is
   included in the outgoing call.
 

   quality of service

   Default: No data                            Value: Hex string

   Quality of service data. The contents and interpretation
   of this string are implementation-dependent.
 

   reverse charging

   Default: False                              
   Value: True or false

   Specifies whether reverse charging is requested for the
   call.
 

   rpoa sequence

   Default: No DTE addresses              
   Value: Set of DTE addresses
 
   Private Operating Agency sequence of transit networks to
   be used in setting up the call. Format the values to
   specify a set of DTE addresses. Each DTE address is four
   digits long. An empty set indicates that no sequence is
   included in the outgoing call.
 

   selected group

   Default: No group name                        
   Value: Group name
   
   Name of the x25 protocol group entity that represents the
   CUG selected for the call. The index for group is
   included in the facility field of the call request
   packet.
 

   target address extension

   Default: No NSAP address                      
   Value: NSAP address
  
   Called NSAP address to be sent to the called DTE should
   be supplied by a higher-level entity in the calling DTE.
   A null address indicates that this facility is not
   required.
 

   throughput class request

   Default: [0..0]                     
   Value: Range (see the following
   description)

   Minimum acceptable throughput class (the lower bound of
   the range) and the target throughput class (the upper
   bound of the range) for a call. The only legal range
   values are as follows:

   0              2400
   75             4800
   150            9600
   300            19200
   600            48000
   1200

   The range 0-0 indicates that no throughput class is
   included in the outgoing call.
 

   transit delay selection

   Default: 0                                       
   Value: Integer

   Desired transit delay. A zero value for either bound
   indicates that no value is included in the outgoing call.
 

   window size

   Default: Supplied by profile                     Value: 0-127
  
   Window size for transmitted and received data packets. A
   zero value indicates that no window size is included in
   the outgoing call.


   name

   Name assigned to the template when it is created.


1  X25_Client    
   TBA


1  X25_Protocol

   TBA

1  X25_Protocol_DTE

   call timer

   Default: Supplied by   Value: Bounded by profile
   profile

   Elapsed time, in seconds, before which a clear packet is
   sent for outgoing calls from the DTE that have received
   no response. A zero value indicates that no clear is
   sent.
 

   ccitt version

   Default: 1984          Value: 1-9999

   Version of the CCITT X.25 recommendations to which the
   DTE conforms.
 

   clear timer

   Default: Supplied by   Value: Bounded by profile
   profile

   Value of the retransmit timer for outgoing clear packets
   from the DTE. The default value is profile dependent.
 

   default packet size

   Default: 128           Value: 16-4096 raised to the power of 2

   Default packet size, in octets, for all virtual circuits
   on the DTE. The value must not be less than the value of
   the minimum packet size characteristic.
 

   default window size

   Default: 2             Value: 1-127

   Default window size for all virtual circuits on the DTE;
   that is, the default number of unacknowledged packets.
   This value must not be greater than the value of the
   maximum window size characteristic, and must not be less
   than the value of the minimum window size characteristic.
 

   extended packet sequencing

   Default: False         
   Value: True or false

   Specifies whether the extended packet sequencing facility
   is subscribed to, in which modulo 128 packet numbering is
   used. If false, extended packet sequencing is not used.
   The profile may provide overriding default or legal
   values.
 

   inbound dte class

   Default: No DTE class  
   Value: Simple-name name

   Name of the DTE class to be associated with all incoming
   calls to the DTE. You must specify this characteristic
   before you enable the DTE. The x25 access dte class
   entity to which the name refers must exist when you
   enable the DTE.
 

   incoming list

   Default: (0-4095)      Value: Set of range (0-4095)
   ranges

   Channel number ranges that define the Logical Channel
   Numbers (LCNs) that are available for calls on incoming
   or bothway channels. Format the values to specify a set
   of channel number ranges. Each channel number is the
   concatenation of the logical channel group number and
   logical channel number of an SVC on the DTE.
 

   interface type

   Default: DTE           Value: See description

   Interface mode in which the packet protocol for the DTE
   will operate. You can modify this characteristic only
   when the entity is disabled.

   dce        DCE mode. 
   dte        DTE mode.
   negotiated The interface mode is negotiated
               with the other end to be either DTE 
               or DCE. This value applies only to 
               point-to-point links.
 

   interrupt timer

   Default: Supplied by   
   Value: Bounded by profile  profile

   Value of the interrupt timer. This timer is started when
   an interrupt packet is sent. If no interrupt confirmation
   packet is received before the timer expires, a reset is
   caused. A zero value indicates that there is no timer.
 

   link service provider

   Default: No link       Value: Full-name
   service provider name

   Name of the link service provider entity used by the DTE.
   You must give this characteristic a value before you
   enable the DTE.
 

   maximum active circuits

   Default: 4096           Value: 1-4096

   Maximum number of virtual circuits that can be active at
   any time on the DTE. This characteristic cannot be set.



   maximum clear attempts

   Default: Supplied by   Value: Bounded by profile
   profile

   Number of times that sending a clear packet can be
   attempted on a virtual circuit on the DTE. The value 1
   indicates that a clear packet is sent only once; that is,
   there are no retries.
 

   maximum packet size
 
   Default: 128           
   Value: 16-4096 raised to the power of 2

   Maximum packet size, in octets, for all virtual circuits
   on the DTE. This value must be greater than or equal to
   the value of the minimum packet size and default packet
   size characteristics.
 

   maximum reset attempts

   Default: Supplied by   
   Value: Bounded by profile profile

   Number of times the DTE attempts to send a reset packet.
   The value 1 indicates that a reset packet is sent only
   once; that is, there are no retries.
 

   maximum restart attempts

   Default: Supplied by   Value: Bounded by profile
   profile

   Number of times that any virtual circuit on the DTE
   attempts to send a restart packet. The value 1 indicates
   that a restart packet is sent only once; that is, there
   are no retries.
 

   maximum throughput class

   Default: 4800          Value: See description

   Maximum value for the throughput class (65535) of any
   virtual circuit on the DTE. The value specified must be
   one of the following: 0, 75, 150, 300, 600, 1200, 2400,
   4800, 9600, 48000, or 64000. The value must be greater
   than or equal to the value of the minimum throughput
   class characteristic.
 

   maximum window size

   Default: 2             Value: 1-127

   Maximum number of unacknowledged packets for all virtual
   circuits on the DTE. This value must be greater than or
   equal to the value of the minimum window size and default
   window size characteristics.
 

   minimum packet size

   Default: 128           Value: 16-4096 raised to the power of 2

   Minimum packet size, in octets, for all virtual circuits
   on the DTE. This value must be less than or equal to the
   value of the maximum packet size and default packet size
   characteristics.
 

   minimum throughput class

   Default: Supplied by   Value: Bounded by profile
   profile

   Minimum throughput class for any virtual circuit on the
   DTE. The value specified must be one of the following: 0,
   75, 150, 300, 600, 1200, 2400, 4800, 9600, 48000, or
   64000. The value must be less than or equal to the value
   of the maximum throughput class characteristic.
 

   minimum window size

   Default: 2             Value: 1-127

   Minimum window size for all virtual circuits on the DTE.
   This value must be less than or equal to the value of the
   maximum window size characteristic.
 

   outgoing list

   Default: [1...4095]    
   Value: Set of range (0-4095)

   Channel number ranges that define the LCNs that are
   available for calls on outgoing or two-way channels.
   Format the values to specify a set of channel number
   ranges. Each channel number is the concatenation of the
   logical channel group number and logical channel number
   of an SVC on the DTE.
 

   reset timer

   Default: Supplied by   Value: Bounded by profile
   profile

   Value of the retransmit timer for outgoing reset packets
   from the DTE. The default value is profile-dependent.
 

   restart timer

   Default: Supplied by   Value: Bounded by profile
   profile

   Value of the retransmit timer for outgoing restart
   packets from the DTE. The default value is profile
   dependent.
 

   segment size

   Segment size specified for data sent at this DTE.
 

   x25 address

   Default: No DTE        Value: DTE-address
   address

   Full address of the DTE. You must give this
   characteristic a value before you enable the DTE.

   name

   Simple name assigned to the DTE when it is created.


1  X25_Protocol_DTE_PVC

   acl

   Default: No access     Value: Access-control-list
   control list

   Access control list that controls access to this PVC.
 

   channel

   Default: No default    Value: 0-4095

   Concatenated logical channel group and logical channel
   number for the PVC. The value of this characteristic
   derives from an argument to the create command.
 

   packet size

   Default: No default    Value: 16-4096

   Packet size for the PVC, in octets. The value must be a
   power of 2 in the range 16 to 4096. The value of this
   characteristic derives from an argument to the create
   command.
 

   window size

   Default: No default    Value: 1-127

   Window size for the PVC. The value of this characteristic
   derives from an argument to the create command.
 

   name

   Simple name assigned to the PVC when it is created.


1  X25_Protocol_DTE_Group

   members

   Default: No DTEs        
   Value: Set of records

   DTEs at a gateway system that make up the group. Format
   the values to specify a set of records. Each record
   consists of a name that identifies an X25 protocol dte
   entity and an integer (in the range 0 to 9999) that
   identifies the CUG number assigned by the network. If a
   DTE is already created and enabled and is then added to
   the set of members, it must be disabled and re- enabled
   to service the specified CUG number or BCUG.
 

   remote dte address

   Default: No DTE address
   Value: DTE-address
   
   DTE address to be associated with this entity for
   matching x25 access security dte class remote dte
   entities for both incoming and outgoing calls. This
   characteristic is only supported if the characteristic
   type is bcug.
 

   type

   Default: BCUG          
   Value: CUG, BCUG, or CUGOA

   Type of the CUG.

   cug   Normal CUG.
   bcug  Bilateral CUG.
   cugoa CUGOA outgoing access.

   name

   Simple name assigned to the group when it is created.


1  x25_relay

2  client  

   DTE class

   Default: No DTE class  
   Value: Simple-name

   Name of the x25 access DTE class entity to use when
   making the outgoing call.
 

   filters

   Default: No filters    
   Value: Set of simple names

   Set of filters that are listened to by this client. Each
   name is the name of an x25 access filter entity. For the
   add and set commands, the x25 relay client entity must be
   in the Off state before the filters attribute can be
   modified.
 

   rights identifiers

   Default: No rights identifiers
        
   Value: Set of simple names
   
   Set of rights identifiers that this client possesses. It
   is used when placing the outgoing call.
 

   template

   Default: No template   
   Value: Simple name

   Name of the x25 access template entity to be used for the
   outgoing call.

   name

   Simple name assigned to the client when it is created.


1  X25_Protocol_DTE_PVC

   local PVC 

   Default: No PVC name   
   Value: Simple name

   Name of the PVC entity that represents the local end of
   the connection.
 

   remote DTE class

   Default: No DTE class  Value: Simple name

   DTE class to be used when setting up the remote end of
   the connection. It is only specified if the relayed PVC
   does not reside on the local system.
 

   remote PVC

   Default: No PVC name   
   Value: Simple-name

   Name of the PVC entity that represents the remote end of
   the connection.
 

   retry limit

   Default: 10            
   Value: 0-65535

   Number of attempts that will be made to set up the PVC
   connection following the failure of an enable command.
 

   retry timer

   Default: 60            
   Value: 1-65535

   Interval, in seconds, between retries.
 

   rights identifiers

   Default: No rights     
   Value: Set of simple names identifiers

   Rights identifiers possessed by this entity. These rights
   are used to access the local PVC and relayed PVC if it
   resides on the local system. name

   Simple name assigned to the PVC when it is created.
 


1  x25_server

2  client

   account (OpenVMS)

   Default: No service/account data                  
   Value: String
   
   Default service or account data to be used when
   connecting to the system hosting the X.25 client.
 

   application

   Default: 36                        
   Value: End-user-specification

   Address information used by the destination Session
   Control module to select the X.25 client that will
   receive the connection request.
 

   destination (OpenVMS)

   Default: No client name                         
   Value: Full-name
  
   Name 

   Name of the X.25 client to which a connection is to be
   made when delivering a "filtered" call.
 

   filters

   Default: No default                   
   Value: Set of simple names

   Set of filters to be used by the server to filter calls
   for this X.25 client. Each name is the name of an x25
   access filter entity.
 

  node

   Default: No node name                          
   Value: Full-name

   Name of the node that hosts the X.25 client to which
   connection is to be made. This characteristic is
   supported only if the service nodes characteristic is not
   supported.
 

   outgoing session template

   Default: Default template                    
   Value: Simple-name
   
   Transport template to be used by the X.25 server to set
   up a session control connection to the X.25 client. The
   name is the name of an osi transport template entity.
 

   password

   Default: No password                             
   Value: String

   Default password to be used for verification when
   connecting to the system that hosts the X.25 client. You
   cannot display this characteristic with the show command.
 

   service nodes 

   Default: Empty set               
   Value: Set of candidate records

   Set of nodes that host the x25 client entities to which
   connections can be made. 
 

   user

   Default: No user id                               
   Value: String

   Default user identification to be used in access
   verification when connecting to the system that hosts the
   X.25 client.

   name

   Simple name assigned to the client when it is
   created.


1  security_nodes

   nodes

   Default: No node name       
   Value: Set of full-name
   
   DNS full names of accessing systems, or the wildcard full
   name. Note, when managing entities on an OpenVMS system,
   this name must be a Phase IV node name.
 

   rights identifiers

   Default: No rights identifiers    
   Value: Set of simple names
   

   Set of rights identifiers to be associated with the set
   of nodes named in the nodes characteristic for purposes
   of access control to DTE classes at the gateway node.
 

   name

   Simple name assigned to the security node when
   it is created.


